
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.0f, (-1.0f), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    org.apache.commons.math3.FieldElement fieldElement0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = new org.apache.commons.math3.FieldElement[] { fieldElement0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldDiagonalMatrix(fieldElement_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array1);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldIdentityMatrix(field0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(1.0f, (-1), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-57.29577951308232d));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(10.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.5663706143591725d));

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    org.apache.commons.math3.linear.AnyMatrix anyMatrix0 = null;
    org.apache.commons.math3.linear.AnyMatrix anyMatrix1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible(anyMatrix0, anyMatrix1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    org.apache.commons.math3.linear.RealMatrix realMatrix0 = null;
    org.apache.commons.math3.linear.RealVector realVector1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.solveLowerTriangularSystem(realMatrix0, realVector1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-1.0d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.9999999999999999d));

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-0.9999999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999999999999999d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = null;
    org.apache.commons.math3.linear.RealVector realVector1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, realVector1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-0.9999999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017453292519943295d));

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix2 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.0d, (-0.9999999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array1 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldMatrix(fieldElement_array_array1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array1);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999999958776927d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    float f3 = org.apache.commons.math3.util.Precision.round(1.4E-45f, (-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 10.0f);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array1 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0, fieldElement_array_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array2);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    org.apache.commons.math3.FieldElement fieldElement0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = new org.apache.commons.math3.FieldElement[] { fieldElement0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldVector(fieldElement_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array1);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = blockRealMatrix6.walkInOptimizedOrder(realMatrixPreservingVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = blockRealMatrix6.walkInColumnOrder(realMatrixPreservingVisitor7, 1, (-1), 72090561, 72090561);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = blockRealMatrix6.walkInColumnOrder(realMatrixChangingVisitor7, 10, 72090561, (-1), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(100.0d, 0.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix6.addToEntry(72090561, (-1), 0.9999999999999999d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.821637045374455E-17d));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor15 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = blockRealMatrix6.walkInRowOrder(realMatrixChangingVisitor15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException0 = new org.apache.commons.math3.exception.MathIllegalStateException();

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor15 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d20 = blockRealMatrix6.walkInRowOrder(realMatrixPreservingVisitor15, 0, 10, 1, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    org.apache.commons.math3.FieldElement fieldElement0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = new org.apache.commons.math3.FieldElement[] { fieldElement0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createColumnFieldMatrix(fieldElement_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array1);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    double d3 = org.apache.commons.math3.util.Precision.round(1.0d, 100, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);

  }

  @Test
  public void test036() {}
// Defects4J: flaky method
//   @Test
//   public void test036() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }
// 
// 
//     double d0 = org.apache.commons.math3.util.FastMath.random();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d0 == 0.7315606738655095d);
// 
//   }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.9999999999999999d), 1.0d, 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array1 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix2 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(fieldElement_array_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array1);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    org.apache.commons.math3.linear.RealVector realVector15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector16 = blockRealMatrix6.operate(realVector15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    org.apache.commons.math3.FieldElement fieldElement0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = new org.apache.commons.math3.FieldElement[] { fieldElement0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix2 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(fieldElement_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array1);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-0.9999999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    float f3 = org.apache.commons.math3.util.Precision.round(1.4E-45f, 72090561, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f3, Float.NaN, 0);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.9999999958776927d, (-57.29577951308232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999958776927d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = blockRealMatrix6.add(realMatrix15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    org.apache.commons.math3.FieldElement fieldElement0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = new org.apache.commons.math3.FieldElement[] { fieldElement0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createRowFieldMatrix(fieldElement_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array1);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    org.apache.commons.math3.linear.RealVector realVector1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = realVectorFormat0.format(realVector1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    java.io.ObjectOutputStream objectOutputStream15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealMatrix((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix13, objectOutputStream15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor23 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d28 = blockRealMatrix6.walkInOptimizedOrder(realMatrixPreservingVisitor23, (-1), 0, 72090561, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 10L);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix22.addToEntry(10, 100, 4.9E-324d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array3 = array2DRowFieldMatrix1.getColumn((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(100L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-2.5663706143591725d), (-4.821637045374455E-17d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    double[] d_array3 = new double[] { 1.0d, 1.0d, 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = array2DRowRealMatrix6.walkInRowOrder(realMatrixPreservingVisitor7, 100, 100, 10, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NoDataException noDataException1 = new org.apache.commons.math3.exception.NoDataException(localizable0);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement3 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixChangingVisitor2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(0.9999999958776927d, 72090561, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5574077246549018d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix24 = blockRealMatrix6.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix23);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = array2DRowRealMatrix13.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkRowIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix13, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 72090561 };
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException4 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(short)1, obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-4.821637045374455E-17d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException noFeasibleSolutionException0 = new org.apache.commons.math3.optimization.linear.NoFeasibleSolutionException();

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix4 = array2DRowFieldMatrix1.createMatrix(72090561, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkMatrixIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix0, 0, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      char char2 = org.apache.commons.math3.util.CompositeFormat.parseNextCharacter("hi!", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.setColumnMatrix(72090561, (org.apache.commons.math3.linear.RealMatrix)blockRealMatrix24);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealVector realVector15 = null;
    org.apache.commons.math3.linear.RealVector realVector16 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector15);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector17 = array2DRowRealMatrix13.operateTranspose(realVector15);
      org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException");
    } catch (java.lang.UnsupportedOperationException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.UnsupportedOperationException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.UnsupportedOperationException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array24 = blockRealMatrix6.getColumn((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement3 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixChangingVisitor2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f1, Float.NaN, 0);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.0d, (-57.29577951308232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-57.29577951308232d));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = array2DRowRealMatrix13.copy();
    org.apache.commons.math3.linear.RealVector realVector17 = null;
    org.apache.commons.math3.linear.RealVector realVector18 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector17);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix13.setRowVector(0, realVector17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    org.apache.commons.math3.util.MathUtils.checkFinite((-0.9999999999999999d));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    org.apache.commons.math3.linear.RealVector realVector1 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector0);
    // The following exception was thrown during execution in test generation
    try {
      double d2 = realVector1.getMinValue();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector1);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.9999999958776927d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction2 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(realVector0, 1.0d);
    org.apache.commons.math3.linear.RealVector realVector3 = null;
    org.apache.commons.math3.linear.RealVector realVector4 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector3);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = linearObjectiveFunction2.getValue(realVector4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector4);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor29 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d30 = blockRealMatrix22.walkInRowOrder(realMatrixPreservingVisitor29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    int[] i_array15 = new int[] {  };
    int[] i_array17 = new int[] { 100 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkSubMatrixIndex((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13, i_array15, i_array17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.CompositeFormat.parseAndIgnoreWhitespace("Array2DRowFieldMatrix{}", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field2);
    org.apache.commons.math3.Field field4 = array2DRowFieldMatrix3.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix5 = array2DRowFieldMatrix1.preMultiply((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field4);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta((-1.0d), 4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array26 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array26);
    double[][] d_array_array28 = new double[][] { d_array26 };
    double[][] d_array_array29 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array28);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array28);
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    double[][] d_array_array36 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array35);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix30, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix37);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix46 = blockRealMatrix30.subtract(blockRealMatrix45);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix6.setRowMatrix(10, blockRealMatrix45);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix46);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = realVectorFormat0.parse("");
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math3.exception.MathArithmeticException();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext1 = mathArithmeticException0.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext1);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getData();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array4 = array2DRowFieldMatrix1.getColumn(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    double[] d_array53 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array53);
    double[][] d_array_array55 = new double[][] { d_array53 };
    double[][] d_array_array56 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array55);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix57 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array55);
    double[] d_array60 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array60);
    double[][] d_array_array62 = new double[][] { d_array60 };
    double[][] d_array_array63 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array62);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix64 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array62);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix57, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix64);
    double[] d_array68 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array68);
    double[][] d_array_array70 = new double[][] { d_array68 };
    double[][] d_array_array71 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array70);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix72 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array70);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix73 = blockRealMatrix57.subtract(blockRealMatrix72);
    double[] d_array76 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array76);
    org.apache.commons.math3.linear.RealMatrix realMatrix78 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array76);
    double[] d_array79 = blockRealMatrix73.operate(d_array76);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array80 = blockRealMatrix50.operate(d_array79);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    java.text.NumberFormat numberFormat0 = null;
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat1 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat0);
    org.apache.commons.math3.linear.RealVector realVector2 = null;
    org.apache.commons.math3.linear.RealVector realVector3 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = realVectorFormat1.format(realVector3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    org.apache.commons.math3.linear.RealVector realVector1 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector0);
    java.io.ObjectOutputStream objectOutputStream2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealVector(realVector0, objectOutputStream2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector1);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    org.apache.commons.math3.linear.RealVector realVector1 = null;
    org.apache.commons.math3.linear.RealVector realVector2 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector1);
    java.lang.StringBuffer stringBuffer3 = null;
    java.text.FieldPosition fieldPosition4 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer5 = realVectorFormat0.format(realVector2, stringBuffer3, fieldPosition4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    double[] d_array3 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[][] d_array_array5 = new double[][] { d_array3 };
    double[][] d_array_array6 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array5);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix7 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5);
    double[] d_array10 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    double[][] d_array_array13 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array12);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = array2DRowRealMatrix7.add(array2DRowRealMatrix14);
    org.apache.commons.math3.linear.RealMatrix realMatrix16 = array2DRowRealMatrix14.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = array2DRowRealMatrix0.multiply(array2DRowRealMatrix14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix4 = array2DRowFieldMatrix1.getRowMatrix((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)10, (short)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)(-10));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    org.apache.commons.math3.linear.MatrixUtils.checkColumnIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix6, 1);
    org.apache.commons.math3.Field field9 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix10 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field9);
    org.apache.commons.math3.Field field11 = array2DRowFieldMatrix10.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)array2DRowFieldMatrix10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field11);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    java.text.NumberFormat numberFormat1 = null;
    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number3 = org.apache.commons.math3.util.CompositeFormat.parseNumber("", numberFormat1, parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealVector realVector16 = null;
    org.apache.commons.math3.linear.RealVector realVector17 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector16);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix13.setColumnVector(72090561, realVector16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    java.lang.Double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math3.linear.ArrayRealVector(d_array0, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.Field field3 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix4 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix5 = array2DRowFieldMatrix1.preMultiply((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.getColumnMatrix((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array16);
    double[][] d_array_array18 = new double[][] { d_array16 };
    double[][] d_array_array19 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array18);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix20 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array18);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = array2DRowRealMatrix13.add(array2DRowRealMatrix20);
    org.apache.commons.math3.linear.RealMatrix realMatrix22 = array2DRowRealMatrix20.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix6.multiply((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector0 = null;
    org.apache.commons.math3.linear.RealVector realVector1 = null;
    org.apache.commons.math3.linear.RealVector realVector2 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector3 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector0, realVector1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    double[][] d_array_array4 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout(0, 100);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix((-1), 72090561, d_array_array4, false);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement fieldElement2 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array3 = new org.apache.commons.math3.FieldElement[] { fieldElement2 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array4 = array2DRowFieldMatrix1.operate(fieldElement_array3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array3);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(100.0f, 4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99999f);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor15 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d20 = array2DRowRealMatrix13.walkInRowOrder(realMatrixChangingVisitor15, 72090561, 1, 100, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix14.addToEntry((-1), 1, 0.7315606738655095d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    org.apache.commons.math3.linear.RealVector realVector1 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector0);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math3.linear.RealVector realVector8 = null;
    org.apache.commons.math3.optimization.linear.Relationship relationship9 = org.apache.commons.math3.optimization.linear.Relationship.GEQ;
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint11 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector8, relationship9, (-57.29577951308232d));
    double[] d_array14 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array14);
    int i16 = org.apache.commons.math3.util.MathUtils.hash(d_array14);
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint18 = new org.apache.commons.math3.optimization.linear.LinearConstraint(d_array5, 0.7315606738655095d, relationship9, d_array14, (-1.0d));
    org.apache.commons.math3.linear.RealVector realVector19 = null;
    org.apache.commons.math3.linear.RealVector realVector20 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector19);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint22 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector1, (-1.0d), relationship9, realVector19, (-0.9999999999999999d));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(short)10, (java.lang.Number)1L, true);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement5 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixPreservingVisitor4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    org.apache.commons.math3.linear.RealVector realVector22 = null;
    org.apache.commons.math3.linear.RealVector realVector23 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector22);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix20.setColumnVector(0, realVector22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    java.util.Locale locale0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.text.NumberFormat numberFormat1 = org.apache.commons.math3.util.CompositeFormat.getDefaultNumberFormat(locale0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017453292519943295d));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-4.821637045374455E-17d), (-0.9999999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999999999999d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.0f, 100.0f, 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    int[] i_array5 = new int[] { 0 };
    int[] i_array8 = new int[] { 1, 100 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix1.getSubMatrix(i_array5, i_array8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    double[] d_array54 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    double[][] d_array_array56 = new double[][] { d_array54 };
    double[][] d_array_array57 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array56);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix58 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array56);
    double[] d_array61 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array61);
    double[][] d_array_array63 = new double[][] { d_array61 };
    double[][] d_array_array64 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array63);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix65 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array63);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix58, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix65);
    double[] d_array69 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array69);
    double[][] d_array_array71 = new double[][] { d_array69 };
    double[][] d_array_array72 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array71);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix73 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array71);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix74 = blockRealMatrix58.subtract(blockRealMatrix73);
    double[] d_array77 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array77);
    org.apache.commons.math3.linear.RealMatrix realMatrix79 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array77);
    double[] d_array80 = blockRealMatrix74.operate(d_array77);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix22.setRow((-1), d_array77);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    org.apache.commons.math3.linear.MatrixUtils.checkColumnIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix6, 1);
    org.apache.commons.math3.linear.AnyMatrix anyMatrix9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix6, anyMatrix9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-2.5663706143591725d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.6716024091342656d));

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array1 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix4 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0, fieldElement_array_array2, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array2);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    org.apache.commons.math3.linear.RealVector realVector1 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector0);
    // The following exception was thrown during execution in test generation
    try {
      int i2 = realVector1.getMaxIndex();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector1);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor15 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d20 = array2DRowRealMatrix13.walkInColumnOrder(realMatrixPreservingVisitor15, 6, 10, 72090561, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement fieldElement4 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setEntry(0, 10, fieldElement4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    org.apache.commons.math3.linear.MatrixUtils.checkColumnIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix6, 1);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = array2DRowRealMatrix6.walkInRowOrder(realMatrixPreservingVisitor9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement fieldElement4 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setEntry(6, 10, fieldElement4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-2.5663706143591725d), 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.5663706143591725d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-4.821637045374455E-17d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.5574077246549018d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.012094845540689d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array32 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    double[][] d_array_array35 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array34);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array34);
    double[] d_array39 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array39);
    double[][] d_array_array41 = new double[][] { d_array39 };
    double[][] d_array_array42 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array41);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array41);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = array2DRowRealMatrix36.add(array2DRowRealMatrix43);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = array2DRowRealMatrix43.copy();
    double[] d_array48 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array48);
    double[][] d_array_array50 = new double[][] { d_array48 };
    double[][] d_array_array51 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array50);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix52 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array50);
    double[] d_array55 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array55);
    double[][] d_array_array57 = new double[][] { d_array55 };
    double[][] d_array_array58 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array57);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix59 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array57);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix52, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix59);
    double[] d_array63 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array63);
    double[][] d_array_array65 = new double[][] { d_array63 };
    double[][] d_array_array66 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array65);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix67 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array65);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix68 = blockRealMatrix52.subtract(blockRealMatrix67);
    double[] d_array71 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array71);
    org.apache.commons.math3.linear.RealMatrix realMatrix73 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array71);
    double[] d_array74 = blockRealMatrix68.operate(d_array71);
    double[] d_array75 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair77 = new org.apache.commons.math3.optimization.PointValuePair(d_array75, 100.0d);
    double[] d_array80 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array80);
    double[][] d_array_array82 = new double[][] { d_array80 };
    double[][] d_array_array83 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array82);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix84 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array82);
    double[] d_array87 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array87);
    double[][] d_array_array89 = new double[][] { d_array87 };
    double[][] d_array_array90 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array89);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix91 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array89);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix84, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix91);
    boolean b93 = pointValuePair77.equals((java.lang.Object)blockRealMatrix84);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix95 = blockRealMatrix84.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix96 = blockRealMatrix68.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix84);
    org.apache.commons.math3.linear.RealMatrix realMatrix97 = array2DRowRealMatrix43.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix96);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix22.setRowMatrix(6, realMatrix97);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix97);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    double d0 = org.apache.commons.math3.util.MathUtils.TWO_PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 6.283185307179586d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    org.apache.commons.math3.linear.RealVector realVector7 = null;
    org.apache.commons.math3.linear.RealVector realVector8 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector9 = array2DRowRealMatrix6.operate(realVector7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix4 = org.apache.commons.math3.linear.MatrixUtils.bigFractionMatrixToRealMatrix((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.0d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = array2DRowFieldMatrix1.getRowMatrix((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.Field field4 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field4);
    org.apache.commons.math3.Field field6 = array2DRowFieldMatrix5.getField();
    java.lang.String str7 = array2DRowFieldMatrix5.toString();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRowMatrix(0, (org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str7.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector1.mapSubtract(0.9999999999999999d);
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector1.addToEntry((-1), 0.7315606738655095d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.Field field4 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field4);
    org.apache.commons.math3.Field field6 = array2DRowFieldMatrix5.getField();
    java.lang.String str7 = array2DRowFieldMatrix5.toString();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRowMatrix(1, (org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str7.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement fieldElement2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = array2DRowFieldMatrix1.scalarMultiply(fieldElement2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5430806348152437d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.CompositeFormat.parseAndIgnoreWhitespace("hi!", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    java.text.NumberFormat numberFormat1 = org.apache.commons.math3.util.CompositeFormat.getDefaultNumberFormat();
    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number3 = org.apache.commons.math3.util.CompositeFormat.parseNumber("Array2DRowFieldMatrix{}", numberFormat1, parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat1);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    double d51 = blockRealMatrix22.getNorm();
    double[] d_array54 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    double[][] d_array_array56 = new double[][] { d_array54 };
    double[][] d_array_array57 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array56);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix58 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array56);
    double[] d_array61 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array61);
    double[][] d_array_array63 = new double[][] { d_array61 };
    double[][] d_array_array64 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array63);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix65 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array63);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix58, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix65);
    double[] d_array69 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array69);
    double[][] d_array_array71 = new double[][] { d_array69 };
    double[][] d_array_array72 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array71);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix73 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array71);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix74 = blockRealMatrix58.subtract(blockRealMatrix73);
    double[] d_array77 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array77);
    org.apache.commons.math3.linear.RealMatrix realMatrix79 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array77);
    double[] d_array80 = blockRealMatrix74.operate(d_array77);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix22, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix74);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector83 = blockRealMatrix22.getRowVector(72090561);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(100, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field2);
    org.apache.commons.math3.Field field4 = array2DRowFieldMatrix3.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = array2DRowFieldMatrix1.subtract(array2DRowFieldMatrix3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field4);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(-1.6716024091342656d));

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    java.lang.String str15 = blockRealMatrix13.toString();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector17 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector18 = blockRealMatrix13.preMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "BlockRealMatrix{{10.0,1.0}}"+ "'", str15.equals("BlockRealMatrix{{10.0,1.0}}"));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix7 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array10 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    double[][] d_array_array13 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array12);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = array2DRowRealMatrix14.add(array2DRowRealMatrix21);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = array2DRowRealMatrix7.multiply(array2DRowRealMatrix14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix22);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    int[] i_array24 = new int[] { 10 };
    int[] i_array26 = new int[] { 10 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix27 = blockRealMatrix21.getSubMatrix(i_array24, i_array26);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(6, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.9999999999999999d, (-1.6716024091342656d), 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector1.mapSubtract(0.9999999999999999d);
    arrayRealVector1.set(0.0d);
    java.util.Iterator iterator6 = arrayRealVector1.sparseIterator();
    org.apache.commons.math3.linear.RealVector realVector7 = null;
    org.apache.commons.math3.linear.RealVector realVector8 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = arrayRealVector1.ebeDivide(realVector7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    double[][] d_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix1 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.0f, 99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    int[] i_array8 = new int[] { 10 };
    int[] i_array12 = new int[] { 100, 1, 1 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix13 = array2DRowRealMatrix6.getSubMatrix(i_array8, i_array12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix6 = array2DRowFieldMatrix1.getSubMatrix(1, 10, 0, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createRealDiagonalMatrix(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.Field field4 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field4);
    org.apache.commons.math3.Field field6 = array2DRowFieldMatrix5.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix7 = array2DRowFieldMatrix1.subtract((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(number0);
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    double[] d_array8 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array8);
    double[][] d_array_array10 = new double[][] { d_array8 };
    double[][] d_array_array11 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array10);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)(-2.5663706143591725d), localizable5, (java.lang.Object[])d_array_array11);
    org.apache.commons.math3.linear.RealMatrix realMatrix13 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix(d_array_array11);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException1, localizable3, (java.lang.Object[])d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector23 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector25 = arrayRealVector23.mapSubtract(0.9999999999999999d);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix9.setRowVector(9, realVector25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt((-0.017453292519943295d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2593935199454313d));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.Field field4 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field4);
    org.apache.commons.math3.Field field6 = array2DRowFieldMatrix5.getField();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array7 = array2DRowFieldMatrix5.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix8 = array2DRowFieldMatrix1.multiply((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array7);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    org.apache.commons.math3.linear.RealVector realVector1 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector3 = realVector1.mapDivide(1.012094845540689d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector1);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    double[] d_array31 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair33 = new org.apache.commons.math3.optimization.PointValuePair(d_array31, 100.0d);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    boolean b49 = pointValuePair33.equals((java.lang.Object)blockRealMatrix40);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix51 = blockRealMatrix40.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix52 = blockRealMatrix24.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix40);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { blockRealMatrix40 };
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException54 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(short)0, obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(number0);
    java.lang.String str2 = notStrictlyPositiveException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math3.exception.NotStrictlyPositiveException: null is smaller than, or equal to, the minimum (0)"+ "'", str2.equals("org.apache.commons.math3.exception.NotStrictlyPositiveException: null is smaller than, or equal to, the minimum (0)"));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0f, 1.1920929E-7f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-2.5663706143591725d), (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0d));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-1.6716024091342656d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.886411525558609d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat4 = new org.apache.commons.math3.linear.RealVectorFormat("BlockRealMatrix{{10.0,1.0}}", "", "BlockRealMatrix{{10.0,1.0}}");
    java.text.NumberFormat numberFormat5 = realVectorFormat4.getFormat();
    java.lang.StringBuffer stringBuffer6 = null;
    java.text.FieldPosition fieldPosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = org.apache.commons.math3.util.CompositeFormat.formatDouble(0.0d, numberFormat5, stringBuffer6, fieldPosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldMatrix(field0, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array4 = array2DRowFieldMatrix1.getRow(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-2.5663706143591725d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6483608274590874d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = blockRealMatrix6.walkInOptimizedOrder(realMatrixChangingVisitor7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement fieldElement4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix5 = array2DRowFieldMatrix1.scalarMultiply(fieldElement4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix3 = org.apache.commons.math3.linear.MatrixUtils.bigFractionMatrixToRealMatrix((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    int[] i_array4 = null;
    int[] i_array6 = new int[] { 100 };
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array7 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.copySubMatrix(i_array4, i_array6, fieldElement_array_array7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat4 = new org.apache.commons.math3.linear.RealVectorFormat("BlockRealMatrix{{10.0,1.0}}", "", "BlockRealMatrix{{10.0,1.0}}");
    java.text.NumberFormat numberFormat5 = realVectorFormat4.getFormat();
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number7 = org.apache.commons.math3.util.CompositeFormat.parseNumber("BlockRealMatrix{{10.0,1.0}}", numberFormat5, parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    int i4 = org.apache.commons.math3.util.MathUtils.hash(d_array2);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair7 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, (-57.29577951308232d), true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 72090561);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor29 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d30 = blockRealMatrix22.walkInOptimizedOrder(realMatrixChangingVisitor29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix2 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0, fieldElement_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0f, 0.6483608274590874d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array3 = pointValuePair2.getPointRef();
    double[] d_array4 = pointValuePair2.getPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array4);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement8 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixChangingVisitor3, 9, 6, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.apache.commons.math3.linear.RealMatrix realMatrix1 = org.apache.commons.math3.linear.MatrixUtils.createRealIdentityMatrix(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix1);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor29 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d34 = blockRealMatrix22.walkInRowOrder(realMatrixPreservingVisitor29, 0, (-1), 72090561, 9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    double d0 = org.apache.commons.math3.util.Precision.SAFE_MIN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.2250738585072014E-308d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-4.821637045374455E-17d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.821637045374455E-17d));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(0L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    org.apache.commons.math3.FieldElement[][] fieldElement_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(fieldElement_array_array0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement4 = array2DRowFieldMatrix1.getEntry(1, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.RealVector realVector32 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = arrayRealVector1.add(realVector32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-4.821637045374455E-17d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4901161193847656E-8d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[][] fieldElement_array_array4 = array2DRowFieldMatrix1.getData();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array18);
    org.apache.commons.math3.linear.RealVector realVector21 = null;
    org.apache.commons.math3.optimization.linear.Relationship relationship22 = org.apache.commons.math3.optimization.linear.Relationship.GEQ;
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint24 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector21, relationship22, (-57.29577951308232d));
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    int i29 = org.apache.commons.math3.util.MathUtils.hash(d_array27);
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint31 = new org.apache.commons.math3.optimization.linear.LinearConstraint(d_array18, 0.7315606738655095d, relationship22, d_array27, (-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix6.setRow(100, d_array18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 72090561);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    boolean b23 = blockRealMatrix21.isTransposable();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    java.io.ObjectInputStream objectInputStream2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.deserializeRealVector((java.lang.Object)1.012094845540689d, "hi!", objectInputStream2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    int i32 = arrayRealVector31.getMinIndex();
    double[] d_array33 = arrayRealVector31.toArray();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector1.mapSubtract(0.9999999999999999d);
    arrayRealVector1.set(0.0d);
    java.io.ObjectInputStream objectInputStream7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.deserializeRealMatrix((java.lang.Object)arrayRealVector1, "", objectInputStream7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement5 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    org.apache.commons.math3.linear.RealMatrix realMatrix4 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array2);
    org.apache.commons.math3.linear.RealMatrix realMatrix5 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array2);
    int i6 = org.apache.commons.math3.util.MathUtils.hash(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 72090561);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.9999999958776927d, 4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    double[] d_array52 = blockRealMatrix22.getRow(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = array2DRowRealMatrix13.copy();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d17 = array2DRowRealMatrix13.walkInColumnOrder(realMatrixChangingVisitor16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix55 = blockRealMatrix22.getSubMatrix(72090561, 0, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    java.lang.String str4 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement6 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str4.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.5574077246549018d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2679097686563052d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.FieldElement fieldElement4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix5 = array2DRowFieldMatrix1.scalarAdd(fieldElement4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix2 = array2DRowRealMatrix0.scalarMultiply((-1.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    int i32 = arrayRealVector31.getMinIndex();
    org.apache.commons.math3.linear.RealVector realVector34 = arrayRealVector31.mapMultiply(0.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector36 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector38 = arrayRealVector36.mapSubtract(0.9999999999999999d);
    arrayRealVector36.set(0.0d);
    java.util.Iterator iterator41 = arrayRealVector36.sparseIterator();
    // The following exception was thrown during execution in test generation
    try {
      double d42 = arrayRealVector31.cosine((org.apache.commons.math3.linear.RealVector)arrayRealVector36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator41);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement fieldElement4 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array5 = new org.apache.commons.math3.FieldElement[] { fieldElement4 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRow(10, fieldElement_array5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array5);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    double[][] d_array_array54 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix40.subtract(blockRealMatrix55);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array62 = blockRealMatrix56.operate(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, d_array59);
    int i64 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector69 = arrayRealVector67.mapAdd(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector70 = arrayRealVector65.projection(realVector69);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    double[] d_array16 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array16);
    double[][] d_array_array18 = new double[][] { d_array16 };
    double[][] d_array_array19 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array18);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array18);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix20);
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    double[][] d_array_array27 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array26);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array26);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix29 = blockRealMatrix13.subtract(blockRealMatrix28);
    double[] d_array32 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array32);
    org.apache.commons.math3.linear.RealMatrix realMatrix34 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array32);
    double[] d_array35 = blockRealMatrix29.operate(d_array32);
    double[] d_array36 = array2DRowRealMatrix6.preMultiply(d_array35);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor37 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d42 = array2DRowRealMatrix6.walkInRowOrder(realMatrixChangingVisitor37, 100, 0, (-1), 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-1.0d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5707963267948966d));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix1 = org.apache.commons.math3.linear.MatrixUtils.createRealDiagonalMatrix(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    // The following exception was thrown during execution in test generation
    try {
      double d53 = blockRealMatrix50.getEntry(72090561, 9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    org.apache.commons.math3.optimization.linear.Relationship relationship1 = org.apache.commons.math3.optimization.linear.Relationship.GEQ;
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint3 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector0, relationship1, (-57.29577951308232d));
    org.apache.commons.math3.optimization.linear.Relationship relationship4 = linearConstraint3.getRelationship();
    org.apache.commons.math3.optimization.linear.Relationship relationship5 = relationship4.oppositeRelationship();
    java.lang.String str6 = relationship5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "<="+ "'", str6.equals("<="));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.9999999958776927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.079985986933498E-5d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(10.04987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.003173546455298d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.9999999999999999d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999999999999d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix7 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double d8 = array2DRowRealMatrix7.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = array2DRowRealMatrix7.getRow(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 10.0d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.4E-45f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = org.apache.commons.math3.linear.BlockFieldMatrix.<org.apache.commons.math3.FieldElement>createBlocksLayout(field0, 100, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    org.apache.commons.math3.linear.RealVector realVector1 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector0);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    org.apache.commons.math3.linear.RealVector realVector7 = null;
    org.apache.commons.math3.optimization.linear.Relationship relationship8 = org.apache.commons.math3.optimization.linear.Relationship.GEQ;
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint10 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector7, relationship8, (-57.29577951308232d));
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array13);
    int i15 = org.apache.commons.math3.util.MathUtils.hash(d_array13);
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint17 = new org.apache.commons.math3.optimization.linear.LinearConstraint(d_array4, 0.7315606738655095d, relationship8, d_array13, (-1.0d));
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint19 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector0, relationship8, 0.0d);
    org.apache.commons.math3.optimization.linear.Relationship relationship20 = linearConstraint19.getRelationship();
    double d21 = linearConstraint19.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(2, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor29 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d30 = blockRealMatrix22.walkInRowOrder(realMatrixChangingVisitor29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    org.apache.commons.math3.optimization.linear.SimplexSolver simplexSolver2 = new org.apache.commons.math3.optimization.linear.SimplexSolver(0.9999999999999999d, 0);
    int i3 = simplexSolver2.getMaxIterations();
    org.apache.commons.math3.linear.RealVector realVector4 = null;
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction6 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(realVector4, 1.0d);
    org.apache.commons.math3.linear.RealVector realVector7 = linearObjectiveFunction6.getCoefficients();
    java.util.Collection collection8 = null;
    org.apache.commons.math3.optimization.GoalType goalType9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair11 = simplexSolver2.optimize(linearObjectiveFunction6, collection8, goalType9, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(realVector7);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array2 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array2 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix5 = new org.apache.commons.math3.linear.BlockFieldMatrix(72090561, 0, fieldElement_array_array3, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array3);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-23));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.apache.commons.math3.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math3.exception.NullArgumentException();

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector4 = arrayRealVector2.mapSubtract(0.9999999999999999d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector5 = array2DRowRealMatrix0.operate((org.apache.commons.math3.linear.RealVector)arrayRealVector2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector4);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix22.addToEntry(100, 72090561, (-1.6716024091342656d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    double[][] d_array_array28 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array27);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array27);
    double[] d_array32 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    double[][] d_array_array35 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array34);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix36 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix29, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix36);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix22.multiply(blockRealMatrix36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix51 = blockRealMatrix50.copy();
    double[] d_array58 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array58);
    double[][] d_array_array60 = new double[][] { d_array58 };
    double[][] d_array_array61 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array60);
    org.apache.commons.math3.linear.RealMatrix realMatrix62 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix(d_array_array61);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix50.copySubMatrix(1, 9, 0, 6, d_array_array61);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix62);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix9.getRowMatrix(72090561);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction2 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(realVector0, 1.0d);
    org.apache.commons.math3.linear.RealVector realVector3 = linearObjectiveFunction2.getCoefficients();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector5.mapSubtract(0.9999999999999999d);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = linearObjectiveFunction2.getValue((org.apache.commons.math3.linear.RealVector)arrayRealVector5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix16 = array2DRowRealMatrix13.getColumnMatrix(1);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor17 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d18 = array2DRowRealMatrix13.walkInRowOrder(realMatrixChangingVisitor17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.util.Pair pair19 = new org.apache.commons.math3.util.Pair((org.apache.commons.math3.util.Pair)pointValuePair2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    int[] i_array4 = new int[] { 100, 100 };
    int[] i_array7 = new int[] { (-1), (-1) };
    org.apache.commons.math3.FieldElement[] fieldElement_array8 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array9 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array8 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.copySubMatrix(i_array4, i_array7, fieldElement_array_array9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array9);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    double[][] d_array_array3 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout(0, 100);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException4 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])d_array_array3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix5 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array3);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)10);
    java.lang.Throwable[] throwable_array3 = notStrictlyPositiveException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array26 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array26);
    int i28 = org.apache.commons.math3.util.MathUtils.hash(d_array26);
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction30 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(d_array26, 100.0d);
    blockRealMatrix21.setRow(0, d_array26);
    double[] d_array35 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array35);
    double[][] d_array_array37 = new double[][] { d_array35 };
    double[][] d_array_array38 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array37);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix39 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array37);
    double[] d_array42 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    double[][] d_array_array44 = new double[][] { d_array42 };
    double[][] d_array_array45 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array44);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix46 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array44);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix39, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix46);
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    double[][] d_array_array52 = new double[][] { d_array50 };
    double[][] d_array_array53 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array52);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix54 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array52);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = blockRealMatrix39.subtract(blockRealMatrix54);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    int i61 = org.apache.commons.math3.util.MathUtils.hash(d_array59);
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction63 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(d_array59, 100.0d);
    blockRealMatrix54.setRow(0, d_array59);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix21.setRow(1, d_array59);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 72090561);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array1 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[][] fieldElement_array_array2 = org.apache.commons.math3.linear.BlockFieldMatrix.<org.apache.commons.math3.FieldElement>toBlocksLayout(fieldElement_array_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array1);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    double[][] d_array_array54 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix40.subtract(blockRealMatrix55);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array62 = blockRealMatrix56.operate(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, d_array59);
    int i64 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector69 = arrayRealVector67.mapAdd(10.0d);
    double d70 = arrayRealVector1.dotProduct(realVector69);
    org.apache.commons.math3.linear.RealVector realVector72 = arrayRealVector1.mapMultiply(0.7315606738655095d);
    java.io.ObjectOutputStream objectOutputStream73 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector1, objectOutputStream73);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector72);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(byte)100);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    java.lang.String str4 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.FieldElement fieldElement5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix6 = array2DRowFieldMatrix1.scalarAdd(fieldElement5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str4.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)10);
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    java.lang.Number number4 = notStrictlyPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 10+ "'", number4.equals(10));

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { (-57.29577951308232d) };
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 2);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 572.9577951308232d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.6483608274590874d, (-0.2593935199454313d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1189572923846482d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = array2DRowFieldMatrix1.transpose();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement5 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixChangingVisitor4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix9.transpose();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor22 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d27 = blockRealMatrix9.walkInRowOrder(realMatrixChangingVisitor22, 6, (-23), (-23), 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.FieldElement fieldElement6 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.multiplyEntry(6, (-1), fieldElement6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(10.04987562112089d, 3.003173546455298d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1022.4979928584272d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.apache.commons.math3.optimization.linear.SimplexSolver simplexSolver2 = new org.apache.commons.math3.optimization.linear.SimplexSolver(0.9999999999999999d, 0);
    int i3 = simplexSolver2.getMaxIterations();
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction4 = null;
    java.util.Collection collection5 = null;
    org.apache.commons.math3.optimization.GoalType goalType6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair8 = simplexSolver2.optimize(linearObjectiveFunction4, collection5, goalType6, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    // The following exception was thrown during execution in test generation
    try {
      double d53 = blockRealMatrix38.getEntry(100, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array22 = blockRealMatrix9.getColumn(9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix21.subtract((org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix23);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    org.apache.commons.math3.FieldElement[][] fieldElement_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix1 = org.apache.commons.math3.linear.MatrixUtils.<org.apache.commons.math3.FieldElement>createFieldMatrix(fieldElement_array_array0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    float f2 = org.apache.commons.math3.util.Precision.round(10.0f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    int i4 = org.apache.commons.math3.util.MathUtils.hash(d_array2);
    double[][] d_array_array5 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix9 = array2DRowRealMatrix6.createMatrix((-23), 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = array2DRowRealMatrix13.copy();
    int i16 = array2DRowRealMatrix13.getRowDimension();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor17 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d22 = array2DRowRealMatrix13.walkInColumnOrder(realMatrixChangingVisitor17, 9, 0, (-23), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array30 = blockRealMatrix22.getRow(6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector1.mapSubtract(0.9999999999999999d);
    double d4 = arrayRealVector1.getLInfNorm();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector6 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector8 = arrayRealVector6.mapSubtract(0.9999999999999999d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector9 = new org.apache.commons.math3.linear.ArrayRealVector((org.apache.commons.math3.linear.RealVector)arrayRealVector1, arrayRealVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector8);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    double[] d_array19 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair21 = new org.apache.commons.math3.optimization.PointValuePair(d_array19, 100.0d);
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    double[][] d_array_array27 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array26);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array26);
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array31);
    double[][] d_array_array33 = new double[][] { d_array31 };
    double[][] d_array_array34 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array33);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array33);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix28, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix35);
    boolean b37 = pointValuePair21.equals((java.lang.Object)blockRealMatrix28);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix39 = blockRealMatrix28.scalarAdd(10.0d);
    org.apache.commons.math3.linear.RealMatrix realMatrix40 = blockRealMatrix39.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix41 = blockRealMatrix9.multiply(blockRealMatrix39);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix40);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    java.lang.String str4 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.Field field5 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.Field field6 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array7 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setSubMatrix(fieldElement_array_array7, 9, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException");
    } catch (org.apache.commons.math3.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str4.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0d, (-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    double[][] d_array_array27 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array26);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array26);
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array31);
    double[][] d_array_array33 = new double[][] { d_array31 };
    double[][] d_array_array34 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array33);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array33);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = array2DRowRealMatrix28.add(array2DRowRealMatrix35);
    org.apache.commons.math3.linear.RealMatrix realMatrix38 = array2DRowRealMatrix35.getColumnMatrix(1);
    blockRealMatrix9.setColumnMatrix(0, realMatrix38);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor40 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d41 = blockRealMatrix9.walkInOptimizedOrder(realMatrixPreservingVisitor40);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix38);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.5574077246549018d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor15 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d20 = array2DRowRealMatrix14.walkInColumnOrder(realMatrixChangingVisitor15, 9, 10, 100, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector1.mapSubtract(0.9999999999999999d);
    org.apache.commons.math3.linear.RealVector realVector5 = arrayRealVector1.mapSubtractToSelf(100.0d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = arrayRealVector1.map(univariateFunction6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    double d0 = org.apache.commons.math3.util.FastMath.E;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.718281828459045d);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.apache.commons.math3.linear.RealMatrix realMatrix2 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix(72090561, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix2);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector52 = blockRealMatrix22.getRowVector(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.718281828459045d, 1.5574077246549018d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5574077246549018d);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.5430806348152437d, (java.lang.Number)(byte)1, false);
    org.apache.commons.math3.linear.NonSquareMatrixException nonSquareMatrixException7 = new org.apache.commons.math3.linear.NonSquareMatrixException(1, 10);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)nonSquareMatrixException7);
    boolean b9 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = array2DRowRealMatrix13.copy();
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array18);
    double[][] d_array_array20 = new double[][] { d_array18 };
    double[][] d_array_array21 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array20);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array20);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    double[][] d_array_array28 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array27);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array27);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix22, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix29);
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    double[][] d_array_array36 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix22.subtract(blockRealMatrix37);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array41);
    double[] d_array44 = blockRealMatrix38.operate(d_array41);
    double[] d_array45 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair47 = new org.apache.commons.math3.optimization.PointValuePair(d_array45, 100.0d);
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    double[][] d_array_array52 = new double[][] { d_array50 };
    double[][] d_array_array53 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array52);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix54 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array52);
    double[] d_array57 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    double[][] d_array_array60 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array59);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix61 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix54, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix61);
    boolean b63 = pointValuePair47.equals((java.lang.Object)blockRealMatrix54);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix65 = blockRealMatrix54.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix66 = blockRealMatrix38.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix54);
    org.apache.commons.math3.linear.RealMatrix realMatrix67 = array2DRowRealMatrix13.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix66);
    int[] i_array70 = new int[] { 1, 1 };
    int[] i_array71 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkSubMatrixIndex((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix66, i_array70, i_array71);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array70);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-2.5663706143591725d), 0.9999999958776927d, (-1.6716024091342656d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    org.apache.commons.math3.util.Pair pair3 = new org.apache.commons.math3.util.Pair((org.apache.commons.math3.util.Pair)pointValuePair2);
    java.lang.Object obj4 = pointValuePair2.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj4 + "' != '" + 100.0d+ "'", obj4.equals(100.0d));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector4 = new org.apache.commons.math3.linear.ArrayRealVector(d_array1, 72090561, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.FieldElement fieldElement4 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setEntry((-23), 9, fieldElement4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    int i0 = org.apache.commons.math3.linear.BlockFieldMatrix.BLOCK_SIZE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 36);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    java.lang.String str4 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.Field field5 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field5);
    org.apache.commons.math3.Field field7 = array2DRowFieldMatrix6.getField();
    java.lang.String str8 = array2DRowFieldMatrix6.toString();
    java.lang.String str9 = array2DRowFieldMatrix6.toString();
    org.apache.commons.math3.Field field10 = array2DRowFieldMatrix6.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix11 = array2DRowFieldMatrix1.add((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str4.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str8.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str9.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field10);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    int i4 = org.apache.commons.math3.util.MathUtils.hash(d_array2);
    double[][] d_array_array5 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5, false);
    double[] d_array15 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array15);
    int i17 = org.apache.commons.math3.util.MathUtils.hash(d_array15);
    double[][] d_array_array18 = new double[][] { d_array15 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array18);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix8.copySubMatrix(36, 100, 9, (-1), d_array_array18);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.Field field4 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field4);
    org.apache.commons.math3.Field field6 = array2DRowFieldMatrix5.getField();
    java.lang.String str7 = array2DRowFieldMatrix5.toString();
    java.lang.String str8 = array2DRowFieldMatrix5.toString();
    org.apache.commons.math3.Field field9 = array2DRowFieldMatrix5.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix10 = array2DRowFieldMatrix1.add((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str7.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str8.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field9);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    int i4 = array2DRowFieldMatrix1.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix6 = array2DRowFieldMatrix1.power(0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor23 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d24 = blockRealMatrix6.walkInRowOrder(realMatrixChangingVisitor23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    org.apache.commons.math3.exception.ZeroException zeroException0 = new org.apache.commons.math3.exception.ZeroException();

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    double d3 = org.apache.commons.math3.util.Precision.round(572.9577951308232d, 1, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 573.0d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(100.0d, (-0.2593935199454313d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.00033642442504d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    double[][] d_array_array27 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array26);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array26);
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array31);
    double[][] d_array_array33 = new double[][] { d_array31 };
    double[][] d_array_array34 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array33);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array33);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = array2DRowRealMatrix28.add(array2DRowRealMatrix35);
    org.apache.commons.math3.linear.RealMatrix realMatrix38 = array2DRowRealMatrix35.getColumnMatrix(1);
    blockRealMatrix9.setColumnMatrix(0, realMatrix38);
    double[] d_array42 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    org.apache.commons.math3.linear.RealMatrix realMatrix44 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array42);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array42);
    double[] d_array46 = blockRealMatrix9.operate(d_array42);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor47 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d52 = blockRealMatrix9.walkInOptimizedOrder(realMatrixChangingVisitor47, 0, 2, 1, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = array2DRowRealMatrix13.copy();
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array18);
    double[][] d_array_array20 = new double[][] { d_array18 };
    double[][] d_array_array21 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array20);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array20);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    double[][] d_array_array28 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array27);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array27);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix22, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix29);
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    double[][] d_array_array36 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix22.subtract(blockRealMatrix37);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array41);
    double[] d_array44 = blockRealMatrix38.operate(d_array41);
    double[] d_array45 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair47 = new org.apache.commons.math3.optimization.PointValuePair(d_array45, 100.0d);
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    double[][] d_array_array52 = new double[][] { d_array50 };
    double[][] d_array_array53 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array52);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix54 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array52);
    double[] d_array57 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    double[][] d_array_array60 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array59);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix61 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix54, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix61);
    boolean b63 = pointValuePair47.equals((java.lang.Object)blockRealMatrix54);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix65 = blockRealMatrix54.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix66 = blockRealMatrix38.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix54);
    org.apache.commons.math3.linear.RealMatrix realMatrix67 = array2DRowRealMatrix13.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix66);
    int i68 = blockRealMatrix66.getRowDimension();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor69 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d74 = blockRealMatrix66.walkInColumnOrder(realMatrixPreservingVisitor69, 10, (-1), 6, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 1);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = array2DRowRealMatrix13.copy();
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array18);
    double[][] d_array_array20 = new double[][] { d_array18 };
    double[][] d_array_array21 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array20);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array20);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    double[][] d_array_array28 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array27);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array27);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix22, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix29);
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    double[][] d_array_array36 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix22.subtract(blockRealMatrix37);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array41);
    double[] d_array44 = blockRealMatrix38.operate(d_array41);
    double[] d_array45 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair47 = new org.apache.commons.math3.optimization.PointValuePair(d_array45, 100.0d);
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    double[][] d_array_array52 = new double[][] { d_array50 };
    double[][] d_array_array53 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array52);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix54 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array52);
    double[] d_array57 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    double[][] d_array_array60 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array59);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix61 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix54, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix61);
    boolean b63 = pointValuePair47.equals((java.lang.Object)blockRealMatrix54);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix65 = blockRealMatrix54.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix66 = blockRealMatrix38.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix54);
    org.apache.commons.math3.linear.RealMatrix realMatrix67 = array2DRowRealMatrix13.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix66);
    int i68 = blockRealMatrix66.getRowDimension();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor69 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d74 = blockRealMatrix66.walkInColumnOrder(realMatrixChangingVisitor69, (-1), (-1), (-1), 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 1);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    double[][] d_array_array27 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array26);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array26);
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array31);
    double[][] d_array_array33 = new double[][] { d_array31 };
    double[][] d_array_array34 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array33);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array33);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = array2DRowRealMatrix28.add(array2DRowRealMatrix35);
    org.apache.commons.math3.linear.RealMatrix realMatrix38 = array2DRowRealMatrix35.getColumnMatrix(1);
    blockRealMatrix9.setColumnMatrix(0, realMatrix38);
    double[] d_array40 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair42 = new org.apache.commons.math3.optimization.PointValuePair(d_array40, 100.0d);
    double[] d_array45 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array45);
    double[][] d_array_array47 = new double[][] { d_array45 };
    double[][] d_array_array48 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array47);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array47);
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    double[][] d_array_array55 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array54);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array54);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix49, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix56);
    boolean b58 = pointValuePair42.equals((java.lang.Object)blockRealMatrix49);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix60 = blockRealMatrix49.scalarAdd(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math3.linear.AnyMatrix)realMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix49);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix60);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    java.text.ParsePosition parsePosition2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.util.CompositeFormat.parseFixedstring("", "BlockRealMatrix{{10.0,1.0}}", parsePosition2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.5574077246549018d, (java.lang.Number)10.0f, false);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)(-2.5663706143591725d), localizable1, (java.lang.Object[])d_array_array7);
    org.apache.commons.math3.linear.RealMatrix realMatrix9 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix(d_array_array7);
    double[] d_array10 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array10, 100.0d);
    double[] d_array15 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array15);
    double[][] d_array_array17 = new double[][] { d_array15 };
    double[][] d_array_array18 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array17);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix19 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array17);
    double[] d_array22 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    double[][] d_array_array25 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array24);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix26 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array24);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix19, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix26);
    boolean b28 = pointValuePair12.equals((java.lang.Object)blockRealMatrix19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix30 = blockRealMatrix19.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix31 = blockRealMatrix19.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)realMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix31);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    org.apache.commons.math3.linear.RealMatrix realMatrix21 = blockRealMatrix20.transpose();
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = null;
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix20.setRowMatrix(0, blockRealMatrix23);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix2 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix((-23), 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    java.lang.String str4 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.Field field5 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.Field field6 = array2DRowFieldMatrix1.getField();
    int[] i_array7 = new int[] {  };
    int[] i_array11 = new int[] { 100, 0, 100 };
    org.apache.commons.math3.FieldElement[] fieldElement_array12 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array13 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array12 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.copySubMatrix(i_array7, i_array11, fieldElement_array_array13);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str4.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array13);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(9.079985986933498E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000908039823013d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    double[][] d_array_array54 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix40.subtract(blockRealMatrix55);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array62 = blockRealMatrix56.operate(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, d_array59);
    int i64 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    java.util.Iterator iterator66 = arrayRealVector65.iterator();
    java.io.ObjectInputStream objectInputStream68 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.deserializeRealMatrix((java.lang.Object)arrayRealVector65, "<=", objectInputStream68);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator66);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2250738585072014E-308d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix16 = array2DRowRealMatrix13.getColumnMatrix(1);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    int i21 = org.apache.commons.math3.util.MathUtils.hash(d_array19);
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction23 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(d_array19, 100.0d);
    double[] d_array24 = array2DRowRealMatrix13.operate(d_array19);
    int i25 = array2DRowRealMatrix13.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix27 = array2DRowRealMatrix13.getColumnMatrix((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 2);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(572.9577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 573.0d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement9 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixChangingVisitor4, 100, 0, 6, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix51 = blockRealMatrix50.copy();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor52 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d57 = blockRealMatrix50.walkInColumnOrder(realMatrixPreservingVisitor52, (-1), 10, 72090561, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix51);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(9.079985986933498E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.079986011887159E-5d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    int i4 = array2DRowFieldMatrix1.getColumnDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array6 = array2DRowFieldMatrix1.getColumn(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    int[] i_array31 = new int[] { 0, 100 };
    int[] i_array34 = new int[] { 0, 1 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix35 = blockRealMatrix22.getSubMatrix(i_array31, i_array34);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement8 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixPreservingVisitor3, 100, 1, 10, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    boolean b15 = array2DRowRealMatrix13.isTransposable();
    boolean b16 = array2DRowRealMatrix13.isTransposable();
    int i17 = array2DRowRealMatrix13.getColumnDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = org.apache.commons.math3.linear.BlockFieldMatrix.<org.apache.commons.math3.FieldElement>createBlocksLayout(field0, 72090561, 36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 99.99999f);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    double[][] d_array_array54 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix40.subtract(blockRealMatrix55);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array62 = blockRealMatrix56.operate(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, d_array59);
    int i64 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector69 = arrayRealVector67.mapAdd(10.0d);
    double d70 = arrayRealVector1.dotProduct(realVector69);
    org.apache.commons.math3.linear.RealVector realVector72 = arrayRealVector1.mapMultiplyToSelf(2.2679097686563052d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector72);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat3 = new org.apache.commons.math3.linear.RealVectorFormat("BlockRealMatrix{{10.0,1.0}}", "", "BlockRealMatrix{{10.0,1.0}}");
    java.text.NumberFormat numberFormat4 = realVectorFormat3.getFormat();
    java.text.NumberFormat numberFormat5 = realVectorFormat3.getFormat();
    java.lang.String str6 = realVectorFormat3.getSuffix();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    double[][] d_array_array54 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix40.subtract(blockRealMatrix55);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array62 = blockRealMatrix56.operate(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, d_array59);
    int i64 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    org.apache.commons.math3.linear.RealVector realVector67 = arrayRealVector33.mapDivideToSelf((-57.29577951308232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector67);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(2.5663706143591725d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8390715290764522d));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    double[][] d_array_array54 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix40.subtract(blockRealMatrix55);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array62 = blockRealMatrix56.operate(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, d_array59);
    int i64 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector69 = arrayRealVector67.mapSubtract(0.9999999999999999d);
    org.apache.commons.math3.linear.RealVector realVector71 = arrayRealVector67.mapSubtractToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector72 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector65, (org.apache.commons.math3.linear.RealVector)arrayRealVector67);
    java.util.Iterator iterator73 = arrayRealVector65.iterator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator73);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    org.apache.commons.math3.util.Pair pair0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Pair pair1 = new org.apache.commons.math3.util.Pair(pair0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    double[] d_array3 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[][] d_array_array5 = new double[][] { d_array3 };
    double[][] d_array_array6 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array5);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = array2DRowRealMatrix0.add(array2DRowRealMatrix8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException");
    } catch (org.apache.commons.math3.linear.MatrixDimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.MatrixDimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.MatrixDimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix9.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector23 = blockRealMatrix21.getColumnVector(36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix16 = array2DRowRealMatrix13.getColumnMatrix(1);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    int i21 = org.apache.commons.math3.util.MathUtils.hash(d_array19);
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction23 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(d_array19, 100.0d);
    double[] d_array24 = array2DRowRealMatrix13.operate(d_array19);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair27 = new org.apache.commons.math3.optimization.PointValuePair(d_array19, (-0.0d), false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement8 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor3, 6, 6, 10, 36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      char char2 = org.apache.commons.math3.util.CompositeFormat.parseNextCharacter("BlockRealMatrix{{10.0,1.0}}", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(572.9577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.305661184154149d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector1.mapSubtract(0.9999999999999999d);
    org.apache.commons.math3.linear.RealVector realVector5 = arrayRealVector1.mapSubtractToSelf(100.0d);
    boolean b6 = arrayRealVector1.isNaN();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector8 = arrayRealVector1.mapToSelf(univariateFunction7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.8390715290764522d), 9.079985986933498E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    org.apache.commons.math3.linear.RealMatrix realMatrix21 = blockRealMatrix20.transpose();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array23 = blockRealMatrix20.getRow(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    double[][] d_array_array54 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix40.subtract(blockRealMatrix55);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array62 = blockRealMatrix56.operate(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, d_array59);
    int i64 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector69 = arrayRealVector67.mapAdd(10.0d);
    double d70 = arrayRealVector1.dotProduct(realVector69);
    org.apache.commons.math3.linear.RealVector realVector72 = arrayRealVector1.mapMultiply(0.7315606738655095d);
    double d73 = realVector72.getMaxValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array24 = blockRealMatrix6.getColumn(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    double[][] d_array_array27 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array26);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array26);
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array31);
    double[][] d_array_array33 = new double[][] { d_array31 };
    double[][] d_array_array34 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array33);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array33);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = array2DRowRealMatrix28.add(array2DRowRealMatrix35);
    org.apache.commons.math3.linear.RealMatrix realMatrix38 = array2DRowRealMatrix35.getColumnMatrix(1);
    blockRealMatrix9.setColumnMatrix(0, realMatrix38);
    java.io.ObjectOutputStream objectOutputStream40 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.serializeRealMatrix(realMatrix38, objectOutputStream40);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix38);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(8.305661184154149d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.230622944437516d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    java.lang.String str4 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement6 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str4.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    int i4 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.Field field5 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field5);
    org.apache.commons.math3.Field field7 = array2DRowFieldMatrix6.getField();
    java.lang.String str8 = array2DRowFieldMatrix6.toString();
    java.lang.String str9 = array2DRowFieldMatrix6.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix10 = array2DRowFieldMatrix1.add((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str8.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str9.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-0.2593935199454313d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0338315589741993d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = array2DRowRealMatrix13.copy();
    int i16 = array2DRowRealMatrix13.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix18 = array2DRowRealMatrix13.power(72090561);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math3.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix53 = blockRealMatrix22.createMatrix((-23), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement5 = array2DRowFieldMatrix1.walkInOptimizedOrder(fieldMatrixChangingVisitor4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.4E-45f, 1.4E-45f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)100, (short)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)(-100));

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(2.2679097686563052d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    int i4 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement10 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixPreservingVisitor5, 36, (-23), 10, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(100.0f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix53 = blockRealMatrix22.createMatrix(2, 36);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor54 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d59 = blockRealMatrix22.walkInOptimizedOrder(realMatrixPreservingVisitor54, 1, 100, 6, (-23));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix53);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    java.lang.String str4 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.FieldElement fieldElement6 = null;
    org.apache.commons.math3.FieldElement[] fieldElement_array7 = new org.apache.commons.math3.FieldElement[] { fieldElement6 };
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setRow(72090561, fieldElement_array7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str4.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array7);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor15 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = array2DRowRealMatrix14.walkInRowOrder(realMatrixChangingVisitor15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    org.apache.commons.math3.linear.RealMatrix realMatrix52 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array50);
    org.apache.commons.math3.linear.RealMatrix realMatrix53 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array50);
    double[] d_array54 = blockRealMatrix38.operate(d_array50);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array55 = blockRealMatrix22.preMultiply(d_array50);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    org.apache.commons.math3.linear.RealMatrix realMatrix8 = array2DRowRealMatrix6.scalarAdd(9.079985986933498E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8414709848078965d));

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat3 = new org.apache.commons.math3.linear.RealVectorFormat("BlockRealMatrix{{10.0,1.0}}", "", "BlockRealMatrix{{10.0,1.0}}");
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = realVectorFormat3.parse("org.apache.commons.math3.exception.NotStrictlyPositiveException: null is smaller than, or equal to, the minimum (0)");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException");
    } catch (org.apache.commons.math3.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat4 = new org.apache.commons.math3.linear.RealVectorFormat("BlockRealMatrix{{10.0,1.0}}", "", "BlockRealMatrix{{10.0,1.0}}");
    java.text.NumberFormat numberFormat5 = realVectorFormat4.getFormat();
    java.text.ParsePosition parsePosition6 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number7 = org.apache.commons.math3.util.CompositeFormat.parseNumber("<=", numberFormat5, parsePosition6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.9999999999999999d), 0.7315606738655095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.9999999999999999d));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    double[] d_array3 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[][] d_array_array5 = new double[][] { d_array3 };
    double[][] d_array_array6 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array5);
    org.apache.commons.math3.linear.RealMatrix realMatrix7 = org.apache.commons.math3.linear.MatrixUtils.createRealMatrix(d_array_array6);
    org.apache.commons.math3.exception.ZeroException zeroException8 = new org.apache.commons.math3.exception.ZeroException(localizable0, (java.lang.Object[])d_array_array6);
    java.lang.Number number9 = zeroException8.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 0+ "'", number9.equals(0));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    java.lang.String str4 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.Field field5 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement fieldElement6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix7 = array2DRowFieldMatrix1.scalarMultiply(fieldElement6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str4.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field5);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    int i4 = org.apache.commons.math3.util.MathUtils.hash(d_array2);
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction6 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(d_array2, 100.0d);
    org.apache.commons.math3.linear.RealVector realVector7 = linearObjectiveFunction6.getCoefficients();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(2L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.0d, 0.6483608274590874d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6483608274590874d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1022.4979928584272d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    org.apache.commons.math3.linear.RealVector realVector24 = blockRealMatrix22.getRowVector(0);
    int i25 = blockRealMatrix22.getColumnDimension();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor26 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d31 = blockRealMatrix22.walkInOptimizedOrder(realMatrixChangingVisitor26, (-23), 0, 6, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 2);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    double[][] d_array_array54 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix40.subtract(blockRealMatrix55);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array62 = blockRealMatrix56.operate(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, d_array59);
    int i64 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    org.apache.commons.math3.linear.RealVector realVector67 = arrayRealVector1.mapMultiply((-57.29577951308232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector67);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix16 = array2DRowRealMatrix13.getColumnMatrix(1);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    int i21 = org.apache.commons.math3.util.MathUtils.hash(d_array19);
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction23 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(d_array19, 100.0d);
    double[] d_array24 = array2DRowRealMatrix13.operate(d_array19);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array26 = array2DRowRealMatrix13.getColumn((-23));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    double d51 = blockRealMatrix22.getNorm();
    double[] d_array54 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    double[][] d_array_array56 = new double[][] { d_array54 };
    double[][] d_array_array57 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array56);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix58 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array56);
    double[] d_array61 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array61);
    double[][] d_array_array63 = new double[][] { d_array61 };
    double[][] d_array_array64 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array63);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix65 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array63);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix58, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix65);
    double[] d_array69 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array69);
    double[][] d_array_array71 = new double[][] { d_array69 };
    double[][] d_array_array72 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array71);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix73 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array71);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix74 = blockRealMatrix58.subtract(blockRealMatrix73);
    double[] d_array77 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array77);
    org.apache.commons.math3.linear.RealMatrix realMatrix79 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array77);
    double[] d_array80 = blockRealMatrix74.operate(d_array77);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix22, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix74);
    org.apache.commons.math3.linear.RealVector realVector83 = blockRealMatrix22.getColumnVector(0);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor84 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d85 = blockRealMatrix22.walkInOptimizedOrder(realMatrixChangingVisitor84);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector83);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)(-2.5663706143591725d), (java.lang.Number)Double.NaN, (java.lang.Number)(short)100);
    java.lang.Number number4 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (short)100+ "'", number4.equals((short)100));

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)(-1), (byte)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)1);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix16 = array2DRowRealMatrix13.getColumnMatrix(1);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    int i21 = org.apache.commons.math3.util.MathUtils.hash(d_array19);
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction23 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(d_array19, 100.0d);
    double[] d_array24 = array2DRowRealMatrix13.operate(d_array19);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor25 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d26 = array2DRowRealMatrix13.walkInColumnOrder(realMatrixPreservingVisitor25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)100L);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    int i4 = org.apache.commons.math3.util.MathUtils.hash(d_array2);
    double[][] d_array_array5 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5);
    double[] d_array10 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    double[][] d_array_array12 = new double[][] { d_array10 };
    double[][] d_array_array13 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array12);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array12);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix22 = array2DRowRealMatrix14.add(array2DRowRealMatrix21);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix6.setRowMatrix(10, (org.apache.commons.math3.linear.RealMatrix)array2DRowRealMatrix22);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix22);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    double[] d_array19 = pointValuePair2.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array19);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math3.Field field4 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field4);
    org.apache.commons.math3.Field field6 = array2DRowFieldMatrix5.getField();
    java.lang.String str7 = array2DRowFieldMatrix5.toString();
    java.lang.String str8 = array2DRowFieldMatrix5.toString();
    org.apache.commons.math3.Field field9 = array2DRowFieldMatrix5.getField();
    org.apache.commons.math3.Field field10 = array2DRowFieldMatrix5.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix11 = array2DRowFieldMatrix1.add((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str7.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str8.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field10);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    org.apache.commons.math3.optimization.linear.SimplexSolver simplexSolver2 = new org.apache.commons.math3.optimization.linear.SimplexSolver(0.9999999999999999d, 0);
    int i3 = simplexSolver2.getMaxIterations();
    int i4 = simplexSolver2.getIterations();
    int i5 = simplexSolver2.getIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.OpenMapRealMatrix openMapRealMatrix1 = new org.apache.commons.math3.linear.OpenMapRealMatrix(openMapRealMatrix0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    double[] d_array3 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    int i5 = org.apache.commons.math3.util.MathUtils.hash(d_array3);
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction7 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(d_array3, 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = array2DRowRealMatrix0.operate(d_array3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 72090561);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    double[] d_array0 = null;
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[][] d_array_array22 = new double[][] { d_array20 };
    double[][] d_array_array23 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array22);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array22);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix9.subtract(blockRealMatrix24);
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array28);
    org.apache.commons.math3.linear.RealMatrix realMatrix30 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array28);
    double[] d_array31 = blockRealMatrix25.operate(d_array28);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector32 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, d_array28);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector34 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array37 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array37);
    double[][] d_array_array39 = new double[][] { d_array37 };
    double[][] d_array_array40 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array39);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix41 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array39);
    double[] d_array44 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    double[][] d_array_array47 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array46);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix48 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array46);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix41, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix48);
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    double[][] d_array_array55 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array54);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array54);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix57 = blockRealMatrix41.subtract(blockRealMatrix56);
    double[] d_array60 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array60);
    org.apache.commons.math3.linear.RealMatrix realMatrix62 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array60);
    double[] d_array63 = blockRealMatrix57.operate(d_array60);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector64 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector34, d_array60);
    int i65 = arrayRealVector34.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector66 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector2, (org.apache.commons.math3.linear.RealVector)arrayRealVector34);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector68 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector70 = arrayRealVector68.mapSubtract(0.9999999999999999d);
    org.apache.commons.math3.linear.RealVector realVector72 = arrayRealVector68.mapSubtractToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector73 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector66, (org.apache.commons.math3.linear.RealVector)arrayRealVector68);
    arrayRealVector73.addToEntry(9, (-1.6716024091342656d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector77 = new org.apache.commons.math3.linear.ArrayRealVector(d_array0, arrayRealVector73);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector72);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.5430806348152437d, 4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    double d51 = blockRealMatrix22.getNorm();
    double[] d_array54 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    double[][] d_array_array56 = new double[][] { d_array54 };
    double[][] d_array_array57 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array56);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix58 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array56);
    double[] d_array61 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array61);
    double[][] d_array_array63 = new double[][] { d_array61 };
    double[][] d_array_array64 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array63);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix65 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array63);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix58, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix65);
    double[] d_array69 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array69);
    double[][] d_array_array71 = new double[][] { d_array69 };
    double[][] d_array_array72 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array71);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix73 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array71);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix74 = blockRealMatrix58.subtract(blockRealMatrix73);
    double[] d_array77 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array77);
    org.apache.commons.math3.linear.RealMatrix realMatrix79 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array77);
    double[] d_array80 = blockRealMatrix74.operate(d_array77);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix22, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix74);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor82 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d83 = blockRealMatrix74.walkInColumnOrder(realMatrixPreservingVisitor82);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement[] fieldElement_array4 = array2DRowFieldMatrix1.getColumn(36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector1.mapSubtract(0.9999999999999999d);
    org.apache.commons.math3.linear.RealVector realVector5 = arrayRealVector1.mapSubtractToSelf(100.0d);
    boolean b6 = arrayRealVector1.isNaN();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1);
    // The following exception was thrown during execution in test generation
    try {
      arrayRealVector7.addToEntry(36, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix2 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0, fieldElement_array_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = array2DRowRealMatrix13.copy();
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array18);
    double[][] d_array_array20 = new double[][] { d_array18 };
    double[][] d_array_array21 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array20);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array20);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    double[][] d_array_array28 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array27);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array27);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix22, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix29);
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    double[][] d_array_array36 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix22.subtract(blockRealMatrix37);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array41);
    double[] d_array44 = blockRealMatrix38.operate(d_array41);
    double[] d_array45 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair47 = new org.apache.commons.math3.optimization.PointValuePair(d_array45, 100.0d);
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    double[][] d_array_array52 = new double[][] { d_array50 };
    double[][] d_array_array53 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array52);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix54 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array52);
    double[] d_array57 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    double[][] d_array_array60 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array59);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix61 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix54, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix61);
    boolean b63 = pointValuePair47.equals((java.lang.Object)blockRealMatrix54);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix65 = blockRealMatrix54.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix66 = blockRealMatrix38.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix54);
    org.apache.commons.math3.linear.RealMatrix realMatrix67 = array2DRowRealMatrix13.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix66);
    double d68 = blockRealMatrix66.getFrobeniusNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix70 = blockRealMatrix66.getColumnMatrix(36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 10.04987562112089d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector1.mapSubtract(0.9999999999999999d);
    org.apache.commons.math3.linear.RealVector realVector5 = arrayRealVector1.mapSubtractToSelf(100.0d);
    boolean b6 = arrayRealVector1.isNaN();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector7 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1);
    boolean b9 = arrayRealVector1.equals((java.lang.Object)573.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.0000908039823013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6931925815204568d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    java.text.ParsePosition parsePosition1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.CompositeFormat.parseAndIgnoreWhitespace("org.apache.commons.math3.exception.NotStrictlyPositiveException: null is smaller than, or equal to, the minimum (0)", parsePosition1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat4 = new org.apache.commons.math3.linear.RealVectorFormat("BlockRealMatrix{{10.0,1.0}}", "", "BlockRealMatrix{{10.0,1.0}}");
    java.text.NumberFormat numberFormat5 = realVectorFormat4.getFormat();
    java.lang.StringBuffer stringBuffer6 = null;
    java.text.FieldPosition fieldPosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.StringBuffer stringBuffer8 = org.apache.commons.math3.util.CompositeFormat.formatDouble(2.220446049250313E-16d, numberFormat5, stringBuffer6, fieldPosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(short)0, (java.lang.Number)Double.NaN, false);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    double[][] d_array_array54 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix40.subtract(blockRealMatrix55);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array62 = blockRealMatrix56.operate(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, d_array59);
    int i64 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector69 = arrayRealVector67.mapAdd(10.0d);
    double d70 = arrayRealVector1.dotProduct(realVector69);
    org.apache.commons.math3.linear.RealVector realVector72 = arrayRealVector1.mapMultiply(0.7315606738655095d);
    double d73 = arrayRealVector1.getMinValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    int i4 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.FieldElement fieldElement7 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.addToEntry(1, 0, fieldElement7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    double d51 = blockRealMatrix22.getNorm();
    double[] d_array54 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    int i56 = org.apache.commons.math3.util.MathUtils.hash(d_array54);
    double[][] d_array_array57 = new double[][] { d_array54 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix58 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array57);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix22.setSubMatrix(d_array_array57, 6, 36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.apache.commons.math3.linear.NonSquareMatrixException nonSquareMatrixException2 = new org.apache.commons.math3.linear.NonSquareMatrixException(1, 10);
    int i3 = nonSquareMatrixException2.getDimension();
    int i4 = nonSquareMatrixException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.RealVector realVector32 = null;
    org.apache.commons.math3.linear.RealVector realVector33 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector32);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math3.linear.RealVector realVector39 = null;
    org.apache.commons.math3.optimization.linear.Relationship relationship40 = org.apache.commons.math3.optimization.linear.Relationship.GEQ;
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint42 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector39, relationship40, (-57.29577951308232d));
    double[] d_array45 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array45);
    int i47 = org.apache.commons.math3.util.MathUtils.hash(d_array45);
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint49 = new org.apache.commons.math3.optimization.linear.LinearConstraint(d_array36, 0.7315606738655095d, relationship40, d_array45, (-1.0d));
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint51 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector32, relationship40, 0.0d);
    org.apache.commons.math3.optimization.linear.Relationship relationship52 = linearConstraint51.getRelationship();
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint54 = new org.apache.commons.math3.optimization.linear.LinearConstraint((org.apache.commons.math3.linear.RealVector)arrayRealVector31, relationship52, 0.0d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction55 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector56 = arrayRealVector31.mapToSelf(univariateFunction55);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship52);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.4E-45f, 7.6293945E-6f, Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector1.mapSubtract(0.9999999999999999d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector5 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector7 = arrayRealVector5.mapSubtract(0.9999999999999999d);
    arrayRealVector5.set(0.0d);
    java.util.Iterator iterator10 = arrayRealVector5.sparseIterator();
    arrayRealVector5.set(2.2679097686563052d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector13 = arrayRealVector1.ebeMultiply((org.apache.commons.math3.linear.RealVector)arrayRealVector5);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector15 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array18);
    double[][] d_array_array20 = new double[][] { d_array18 };
    double[][] d_array_array21 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array20);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array20);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    double[][] d_array_array28 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array27);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array27);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix22, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix29);
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    double[][] d_array_array36 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix22.subtract(blockRealMatrix37);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array41);
    double[] d_array44 = blockRealMatrix38.operate(d_array41);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector45 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector15, d_array41);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector47 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    double[][] d_array_array52 = new double[][] { d_array50 };
    double[][] d_array_array53 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array52);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix54 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array52);
    double[] d_array57 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    double[][] d_array_array60 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array59);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix61 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix54, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix61);
    double[] d_array65 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array65);
    double[][] d_array_array67 = new double[][] { d_array65 };
    double[][] d_array_array68 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array67);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix69 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array67);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix70 = blockRealMatrix54.subtract(blockRealMatrix69);
    double[] d_array73 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array73);
    org.apache.commons.math3.linear.RealMatrix realMatrix75 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array73);
    double[] d_array76 = blockRealMatrix70.operate(d_array73);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector77 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector47, d_array73);
    int i78 = arrayRealVector47.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector79 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector15, (org.apache.commons.math3.linear.RealVector)arrayRealVector47);
    double d80 = arrayRealVector79.getL1Norm();
    // The following exception was thrown during execution in test generation
    try {
      double d81 = arrayRealVector5.cosine((org.apache.commons.math3.linear.RealVector)arrayRealVector79);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayRealVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1048576);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createRealDiagonalMatrix(d_array28);
    org.apache.commons.math3.linear.RealMatrix realMatrix30 = org.apache.commons.math3.linear.MatrixUtils.createRealDiagonalMatrix(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix30);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException2 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array1);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.0338315589741993d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.811818870926271d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    int i0 = org.apache.commons.math3.linear.BlockRealMatrix.BLOCK_SIZE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 52);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealMatrix realMatrix52 = blockRealMatrix22.power(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math3.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(0.0d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, 1.012094845540689d, 1.0338315589741993d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0f, 1.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement fieldElement3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix4 = array2DRowFieldMatrix1.scalarAdd(fieldElement3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)2.2679097686563052d, (java.lang.Number)10, false);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    double[][] d_array_array54 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix40.subtract(blockRealMatrix55);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array62 = blockRealMatrix56.operate(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, d_array59);
    int i64 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector69 = arrayRealVector67.mapSubtract(0.9999999999999999d);
    org.apache.commons.math3.linear.RealVector realVector71 = arrayRealVector67.mapSubtractToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector72 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector65, (org.apache.commons.math3.linear.RealVector)arrayRealVector67);
    org.apache.commons.math3.linear.RealVector realVector74 = arrayRealVector67.mapSubtractToSelf(6.283185307179586d);
    double[] d_array75 = arrayRealVector67.getDataRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    int i4 = array2DRowFieldMatrix1.getColumnDimension();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement10 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor5, 10, 0, (-23), 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.apache.commons.math3.linear.NonSquareMatrixException nonSquareMatrixException2 = new org.apache.commons.math3.linear.NonSquareMatrixException(10, 52);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    int i4 = org.apache.commons.math3.util.MathUtils.hash(d_array2);
    double[][] d_array_array5 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5, false);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = array2DRowRealMatrix8.subtract(array2DRowRealMatrix16);
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor18 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d23 = array2DRowRealMatrix16.walkInOptimizedOrder(realMatrixChangingVisitor18, 9, 2, 52, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix17);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix16 = array2DRowRealMatrix13.getColumnMatrix(1);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array21);
    double[] d_array26 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array26);
    double[][] d_array_array28 = new double[][] { d_array26 };
    double[][] d_array_array29 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array28);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix30 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array28);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix31 = array2DRowRealMatrix23.add(array2DRowRealMatrix30);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = array2DRowRealMatrix13.add(array2DRowRealMatrix23);
    int i33 = array2DRowRealMatrix13.getRowDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    double[][] d_array_array2 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout(1048576, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array2);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(7.6293945E-6f, (-23), 1048576);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array3 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math3.linear.FieldMatrixPreservingVisitor fieldMatrixPreservingVisitor4 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement9 = array2DRowFieldMatrix1.walkInColumnOrder(fieldMatrixPreservingVisitor4, 52, (-23), (-23), 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array3);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    org.apache.commons.math3.linear.RealVector realVector1 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector0);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    org.apache.commons.math3.linear.RealVector realVector7 = null;
    org.apache.commons.math3.optimization.linear.Relationship relationship8 = org.apache.commons.math3.optimization.linear.Relationship.GEQ;
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint10 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector7, relationship8, (-57.29577951308232d));
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array13);
    int i15 = org.apache.commons.math3.util.MathUtils.hash(d_array13);
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint17 = new org.apache.commons.math3.optimization.linear.LinearConstraint(d_array4, 0.7315606738655095d, relationship8, d_array13, (-1.0d));
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint19 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector0, relationship8, 0.0d);
    boolean b21 = linearConstraint19.equals((java.lang.Object)(-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    double[][] d_array_array54 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix40.subtract(blockRealMatrix55);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array62 = blockRealMatrix56.operate(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, d_array59);
    int i64 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector69 = arrayRealVector67.mapAdd(10.0d);
    double d70 = arrayRealVector1.dotProduct(realVector69);
    org.apache.commons.math3.linear.RealVector realVector72 = arrayRealVector1.mapMultiply(0.7315606738655095d);
    int i73 = arrayRealVector1.getDimension();
    double[] d_array76 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array76);
    double[][] d_array_array78 = new double[][] { d_array76 };
    double[][] d_array_array79 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array78);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix80 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array78);
    org.apache.commons.math3.linear.MatrixUtils.checkColumnIndex((org.apache.commons.math3.linear.AnyMatrix)array2DRowRealMatrix80, 1);
    boolean b83 = arrayRealVector1.equals((java.lang.Object)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    int i0 = org.apache.commons.math3.optimization.linear.AbstractLinearOptimizer.DEFAULT_MAX_ITERATIONS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 100);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    org.apache.commons.math3.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockFieldMatrix blockFieldMatrix3 = new org.apache.commons.math3.linear.BlockFieldMatrix(field0, 1, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.6931925815204568d, 0.9999999999999999d, 0.9999999958776927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException2 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, obj_array1);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix9.transpose();
    double[] d_array23 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair25 = new org.apache.commons.math3.optimization.PointValuePair(d_array23, 100.0d);
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array28);
    double[][] d_array_array30 = new double[][] { d_array28 };
    double[][] d_array_array31 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array30);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix32 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array30);
    double[] d_array35 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array35);
    double[][] d_array_array37 = new double[][] { d_array35 };
    double[][] d_array_array38 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array37);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix39 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array37);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix32, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix39);
    boolean b41 = pointValuePair25.equals((java.lang.Object)blockRealMatrix32);
    double[] d_array44 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    org.apache.commons.math3.linear.RealMatrix realMatrix46 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array44);
    org.apache.commons.math3.linear.RealMatrix realMatrix47 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array44);
    double[] d_array48 = blockRealMatrix32.operate(d_array44);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix21.setColumnMatrix(9, (org.apache.commons.math3.linear.RealMatrix)blockRealMatrix32);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = array2DRowRealMatrix13.copy();
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array18);
    double[][] d_array_array20 = new double[][] { d_array18 };
    double[][] d_array_array21 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array20);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array20);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    double[][] d_array_array28 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array27);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array27);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix22, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix29);
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    double[][] d_array_array36 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix22.subtract(blockRealMatrix37);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array41);
    double[] d_array44 = blockRealMatrix38.operate(d_array41);
    double[] d_array45 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair47 = new org.apache.commons.math3.optimization.PointValuePair(d_array45, 100.0d);
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    double[][] d_array_array52 = new double[][] { d_array50 };
    double[][] d_array_array53 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array52);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix54 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array52);
    double[] d_array57 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    double[][] d_array_array60 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array59);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix61 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix54, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix61);
    boolean b63 = pointValuePair47.equals((java.lang.Object)blockRealMatrix54);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix65 = blockRealMatrix54.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix66 = blockRealMatrix38.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix54);
    org.apache.commons.math3.linear.RealMatrix realMatrix67 = array2DRowRealMatrix13.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix66);
    int i68 = blockRealMatrix66.getRowDimension();
    org.apache.commons.math3.linear.RealMatrixChangingVisitor realMatrixChangingVisitor69 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d74 = blockRealMatrix66.walkInOptimizedOrder(realMatrixChangingVisitor69, 1, (-23), 0, 72090561);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 1);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    double[] d_array24 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    double[][] d_array_array27 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array26);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array26);
    double[] d_array31 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array31);
    double[][] d_array_array33 = new double[][] { d_array31 };
    double[][] d_array_array34 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array33);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array33);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = array2DRowRealMatrix28.add(array2DRowRealMatrix35);
    org.apache.commons.math3.linear.RealMatrix realMatrix38 = array2DRowRealMatrix35.getColumnMatrix(1);
    blockRealMatrix9.setColumnMatrix(0, realMatrix38);
    double[] d_array42 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    org.apache.commons.math3.linear.RealMatrix realMatrix44 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array42);
    org.apache.commons.math3.linear.RealMatrix realMatrix45 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array42);
    double[] d_array46 = blockRealMatrix9.operate(d_array42);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector49 = new org.apache.commons.math3.linear.ArrayRealVector(d_array46, 36, 9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector1.mapSubtract(0.9999999999999999d);
    arrayRealVector1.set(0.0d);
    java.util.Iterator iterator6 = arrayRealVector1.sparseIterator();
    arrayRealVector1.set(2.2679097686563052d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector10 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    double[][] d_array_array16 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array15);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array15);
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[][] d_array_array22 = new double[][] { d_array20 };
    double[][] d_array_array23 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array22);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array22);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix17, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix24);
    double[] d_array28 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array28);
    double[][] d_array_array30 = new double[][] { d_array28 };
    double[][] d_array_array31 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array30);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix32 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array30);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix33 = blockRealMatrix17.subtract(blockRealMatrix32);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math3.linear.RealMatrix realMatrix38 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array36);
    double[] d_array39 = blockRealMatrix33.operate(d_array36);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector40 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector10, d_array36);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector42 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array45 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array45);
    double[][] d_array_array47 = new double[][] { d_array45 };
    double[][] d_array_array48 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array47);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array47);
    double[] d_array52 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    double[][] d_array_array55 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array54);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array54);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix49, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix56);
    double[] d_array60 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array60);
    double[][] d_array_array62 = new double[][] { d_array60 };
    double[][] d_array_array63 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array62);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix64 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array62);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix65 = blockRealMatrix49.subtract(blockRealMatrix64);
    double[] d_array68 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array68);
    org.apache.commons.math3.linear.RealMatrix realMatrix70 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array68);
    double[] d_array71 = blockRealMatrix65.operate(d_array68);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector72 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector42, d_array68);
    int i73 = arrayRealVector42.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector74 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector10, (org.apache.commons.math3.linear.RealVector)arrayRealVector42);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector76 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector78 = arrayRealVector76.mapSubtract(0.9999999999999999d);
    org.apache.commons.math3.linear.RealVector realVector80 = arrayRealVector76.mapSubtractToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector81 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector74, (org.apache.commons.math3.linear.RealVector)arrayRealVector76);
    org.apache.commons.math3.linear.RealVector realVector83 = arrayRealVector81.mapDivideToSelf(0.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector84 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, realVector83);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction85 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector86 = arrayRealVector1.mapToSelf(univariateFunction85);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector83);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    org.apache.commons.math3.linear.RealVector realVector24 = blockRealMatrix22.getRowVector(0);
    int i25 = blockRealMatrix22.getColumnDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector27 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector29 = arrayRealVector27.mapSubtract(0.9999999999999999d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.MatrixUtils.solveLowerTriangularSystem((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix22, (org.apache.commons.math3.linear.RealVector)arrayRealVector27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(10, 10);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.linear.FieldVector fieldVector2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector3 = array2DRowFieldMatrix1.preMultiply(fieldVector2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.apache.commons.math3.FieldElement[] fieldElement_array0 = null;
    org.apache.commons.math3.FieldElement[][] fieldElement_array_array1 = new org.apache.commons.math3.FieldElement[][] { fieldElement_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix3 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(fieldElement_array_array1, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array1);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    org.apache.commons.math3.linear.RealVector realVector1 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector0);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    org.apache.commons.math3.linear.RealVector realVector7 = null;
    org.apache.commons.math3.optimization.linear.Relationship relationship8 = org.apache.commons.math3.optimization.linear.Relationship.GEQ;
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint10 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector7, relationship8, (-57.29577951308232d));
    double[] d_array13 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array13);
    int i15 = org.apache.commons.math3.util.MathUtils.hash(d_array13);
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint17 = new org.apache.commons.math3.optimization.linear.LinearConstraint(d_array4, 0.7315606738655095d, relationship8, d_array13, (-1.0d));
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint19 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector0, relationship8, 0.0d);
    org.apache.commons.math3.linear.RealVector realVector20 = linearConstraint19.getCoefficients();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(realVector20);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector1.mapSubtract(0.9999999999999999d);
    arrayRealVector1.set(0.0d);
    java.util.Iterator iterator6 = arrayRealVector1.sparseIterator();
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction8 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction((org.apache.commons.math3.linear.RealVector)arrayRealVector1, 2.5663706143591725d);
    double d9 = arrayRealVector1.getMinValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math3.linear.Array2DRowRealMatrix();
    int i1 = array2DRowRealMatrix0.getRowDimension();
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = array2DRowRealMatrix8.add(array2DRowRealMatrix15);
    org.apache.commons.math3.linear.RealMatrix realMatrix18 = array2DRowRealMatrix15.getColumnMatrix(1);
    double[] d_array21 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array21);
    int i23 = org.apache.commons.math3.util.MathUtils.hash(d_array21);
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction25 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(d_array21, 100.0d);
    double[] d_array26 = array2DRowRealMatrix15.operate(d_array21);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = array2DRowRealMatrix0.multiply(array2DRowRealMatrix15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    double[] d_array3 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[][] d_array_array5 = new double[][] { d_array3 };
    double[][] d_array_array6 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array5);
    org.apache.commons.math3.exception.ZeroException zeroException7 = new org.apache.commons.math3.exception.ZeroException(localizable0, (java.lang.Object[])d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    int i4 = org.apache.commons.math3.util.MathUtils.hash(d_array2);
    double[][] d_array_array5 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5, false);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = array2DRowRealMatrix8.subtract(array2DRowRealMatrix16);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array19 = array2DRowRealMatrix17.getRow(2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix17);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix51 = blockRealMatrix50.copy();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector54 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array57 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    double[][] d_array_array60 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array59);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix61 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array59);
    double[] d_array64 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    double[][] d_array_array66 = new double[][] { d_array64 };
    double[][] d_array_array67 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array66);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix68 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array66);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix61, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix68);
    double[] d_array72 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array72);
    double[][] d_array_array74 = new double[][] { d_array72 };
    double[][] d_array_array75 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array74);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix76 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array74);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix77 = blockRealMatrix61.subtract(blockRealMatrix76);
    double[] d_array80 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array80);
    org.apache.commons.math3.linear.RealMatrix realMatrix82 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array80);
    double[] d_array83 = blockRealMatrix77.operate(d_array80);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector84 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector54, d_array80);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix50.setRow(100, d_array80);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-0.2593935199454313d), 100.0d, 1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix9.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix9.transpose();
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    int i27 = org.apache.commons.math3.util.MathUtils.hash(d_array25);
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction29 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(d_array25, 100.0d);
    int i30 = org.apache.commons.math3.util.MathUtils.hash(d_array25);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix9.setColumn(6, d_array25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 72090561);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 52);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    org.apache.commons.math3.linear.RealMatrix realMatrix27 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array25);
    double[] d_array28 = blockRealMatrix22.operate(d_array25);
    double[] d_array29 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 100.0d);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    double[][] d_array_array44 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array43);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array43);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix38, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix45);
    boolean b47 = pointValuePair31.equals((java.lang.Object)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix38.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix22.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix53 = blockRealMatrix22.createMatrix(2, 36);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.RealVector realVector55 = blockRealMatrix53.getRowVector(9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix53);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)1, (java.lang.Number)1, (java.lang.Number)72090561);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.RealVector realVector32 = null;
    org.apache.commons.math3.linear.RealVector realVector33 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector32);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    org.apache.commons.math3.linear.RealVector realVector39 = null;
    org.apache.commons.math3.optimization.linear.Relationship relationship40 = org.apache.commons.math3.optimization.linear.Relationship.GEQ;
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint42 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector39, relationship40, (-57.29577951308232d));
    double[] d_array45 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array45);
    int i47 = org.apache.commons.math3.util.MathUtils.hash(d_array45);
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint49 = new org.apache.commons.math3.optimization.linear.LinearConstraint(d_array36, 0.7315606738655095d, relationship40, d_array45, (-1.0d));
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint51 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector32, relationship40, 0.0d);
    org.apache.commons.math3.optimization.linear.Relationship relationship52 = linearConstraint51.getRelationship();
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint54 = new org.apache.commons.math3.optimization.linear.LinearConstraint((org.apache.commons.math3.linear.RealVector)arrayRealVector31, relationship52, 0.0d);
    double d55 = linearConstraint54.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    java.text.NumberFormat numberFormat0 = null;
    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat1 = new org.apache.commons.math3.linear.RealVectorFormat(numberFormat0);
    java.text.NumberFormat numberFormat2 = realVectorFormat1.getFormat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(numberFormat2);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix16 = array2DRowRealMatrix13.getColumnMatrix(1);
    double[][] d_array_array23 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout(0, 100);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix13.copySubMatrix(9, 36, 36, 52, d_array_array23);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = new org.apache.commons.math3.linear.RealVectorFormat();

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    double[][] d_array_array54 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix40.subtract(blockRealMatrix55);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array62 = blockRealMatrix56.operate(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, d_array59);
    int i64 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    org.apache.commons.math3.linear.RealVector realVector67 = arrayRealVector65.mapAddToSelf((-1.5707963267948966d));
    double d69 = arrayRealVector65.getEntry(1);
    org.apache.commons.math3.linear.RealVector realVector71 = arrayRealVector65.mapAddToSelf((-1.6716024091342656d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == (-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector71);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    double[] d_array26 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array26);
    int i28 = org.apache.commons.math3.util.MathUtils.hash(d_array26);
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction30 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(d_array26, 100.0d);
    blockRealMatrix21.setRow(0, d_array26);
    double[] d_array34 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    double[][] d_array_array37 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array36);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array36);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix39 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array36);
    double[] d_array42 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    double[] d_array44 = array2DRowRealMatrix39.operate(d_array42);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array45 = blockRealMatrix21.operate(d_array44);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2722218725854067E-14d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.0000908039823013d, (-4.821637045374455E-17d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.apache.commons.math3.linear.RealVector realVector0 = null;
    org.apache.commons.math3.linear.RealVector realVector1 = org.apache.commons.math3.linear.RealVector.unmodifiableRealVector(realVector0);
    // The following exception was thrown during execution in test generation
    try {
      int i2 = realVector1.getMinIndex();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector1);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(9.079986011887159E-5d, 0, 52);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    double[] d_array21 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array21);
    org.apache.commons.math3.linear.RealMatrix realMatrix23 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    org.apache.commons.math3.linear.RealMatrix realMatrix24 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array25 = blockRealMatrix9.operate(d_array21);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector26 = new org.apache.commons.math3.linear.ArrayRealVector(d_array21);
    arrayRealVector26.addToEntry(1, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    org.apache.commons.math3.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.FieldElement fieldElement4 = array2DRowFieldMatrix1.walkInRowOrder(fieldMatrixChangingVisitor3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    double[] d_array4 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array4, 100.0d);
    org.apache.commons.math3.util.Pair pair7 = new org.apache.commons.math3.util.Pair((org.apache.commons.math3.util.Pair)pointValuePair6);
    double[] d_array8 = pointValuePair6.getPointRef();
    org.apache.commons.math3.util.Pair pair9 = new org.apache.commons.math3.util.Pair((org.apache.commons.math3.util.Pair)pointValuePair6);
    boolean b10 = array2DRowFieldMatrix1.equals((java.lang.Object)pair9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = org.apache.commons.math3.linear.MatrixUtils.fractionMatrixToRealMatrix((org.apache.commons.math3.linear.FieldMatrix)array2DRowFieldMatrix1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.linear.FieldVector fieldVector3 = null;
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.setColumnVector((-23), fieldVector3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat0 = org.apache.commons.math3.linear.RealVectorFormat.getInstance();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector2 = realVectorFormat0.parse("Array2DRowFieldMatrix{}");
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException");
    } catch (org.apache.commons.math3.exception.MathParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathParseException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVectorFormat0);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 100.0d);
    double[] d_array5 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[][] d_array_array7 = new double[][] { d_array5 };
    double[][] d_array_array8 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array7);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array7);
    double[] d_array12 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    double[][] d_array_array15 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array14);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix9, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix16);
    boolean b18 = pointValuePair2.equals((java.lang.Object)blockRealMatrix9);
    double[] d_array21 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array21);
    org.apache.commons.math3.linear.RealMatrix realMatrix23 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    org.apache.commons.math3.linear.RealMatrix realMatrix24 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array21);
    double[] d_array25 = blockRealMatrix9.operate(d_array21);
    blockRealMatrix9.setEntry(0, 0, 573.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.017453292519943295d), 8.305661184154149d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.305679522073115d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix13 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix6, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix13);
    double[] d_array17 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    double[][] d_array_array20 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix6.subtract(blockRealMatrix21);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array24 = blockRealMatrix21.getColumn(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    double[][] d_array_array4 = org.apache.commons.math3.linear.BlockRealMatrix.createBlocksLayout(0, 100);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException5 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)100L, (java.lang.Object[])d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    int i4 = org.apache.commons.math3.util.MathUtils.hash(d_array2);
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction6 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(d_array2, 100.0d);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    int i11 = org.apache.commons.math3.util.MathUtils.hash(d_array9);
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction13 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction(d_array9, 100.0d);
    double d14 = linearObjectiveFunction6.getValue(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 201.0d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    int i4 = org.apache.commons.math3.util.MathUtils.hash(d_array2);
    double[][] d_array_array5 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5);
    boolean b7 = array2DRowRealMatrix6.isSquare();
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = array2DRowRealMatrix6.walkInRowOrder(realMatrixPreservingVisitor8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector3 = arrayRealVector1.mapSubtract(0.9999999999999999d);
    arrayRealVector1.set(0.0d);
    java.util.Iterator iterator6 = arrayRealVector1.sparseIterator();
    arrayRealVector1.set(2.2679097686563052d);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    org.apache.commons.math3.linear.RealVector realVector14 = null;
    org.apache.commons.math3.optimization.linear.Relationship relationship15 = org.apache.commons.math3.optimization.linear.Relationship.GEQ;
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint17 = new org.apache.commons.math3.optimization.linear.LinearConstraint(realVector14, relationship15, (-57.29577951308232d));
    double[] d_array20 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    int i22 = org.apache.commons.math3.util.MathUtils.hash(d_array20);
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint24 = new org.apache.commons.math3.optimization.linear.LinearConstraint(d_array11, 0.7315606738655095d, relationship15, d_array20, (-1.0d));
    org.apache.commons.math3.optimization.linear.LinearConstraint linearConstraint26 = new org.apache.commons.math3.optimization.linear.LinearConstraint((org.apache.commons.math3.linear.RealVector)arrayRealVector1, relationship15, 9.079986011887159E-5d);
    boolean b27 = arrayRealVector1.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(relationship15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math3.linear.BlockRealMatrix(0, 6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldMatrix fieldMatrix3 = array2DRowFieldMatrix1.power(1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(short)10, (java.lang.Number)1L, true);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    java.lang.Number number6 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1L+ "'", number5.equals(1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1L+ "'", number6.equals(1L));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.apache.commons.math3.Field field0 = null;
    org.apache.commons.math3.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math3.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math3.Field field2 = array2DRowFieldMatrix1.getField();
    java.lang.String str3 = array2DRowFieldMatrix1.toString();
    java.lang.String str4 = array2DRowFieldMatrix1.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.FieldVector fieldVector6 = array2DRowFieldMatrix1.getColumnVector(72090561);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(field2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str3.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str4.equals("Array2DRowFieldMatrix{}"));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    double[][] d_array_array54 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix40.subtract(blockRealMatrix55);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array62 = blockRealMatrix56.operate(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, d_array59);
    int i64 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector69 = arrayRealVector67.mapSubtract(0.9999999999999999d);
    org.apache.commons.math3.linear.RealVector realVector71 = arrayRealVector67.mapSubtractToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector72 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector65, (org.apache.commons.math3.linear.RealVector)arrayRealVector67);
    // The following exception was thrown during execution in test generation
    try {
      double d74 = arrayRealVector67.getEntry(10);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector71);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(3.003173546455298d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.990435361450451d));

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    org.apache.commons.math3.linear.RealVectorFormat realVectorFormat4 = new org.apache.commons.math3.linear.RealVectorFormat("BlockRealMatrix{{10.0,1.0}}", "", "BlockRealMatrix{{10.0,1.0}}");
    java.text.NumberFormat numberFormat5 = realVectorFormat4.getFormat();
    java.text.NumberFormat numberFormat6 = realVectorFormat4.getFormat();
    java.text.ParsePosition parsePosition7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Number number8 = org.apache.commons.math3.util.CompositeFormat.parseNumber("org.apache.commons.math3.exception.NotStrictlyPositiveException: null is smaller than, or equal to, the minimum (0)", numberFormat6, parsePosition7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(numberFormat6);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    double[][] d_array_array54 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix40.subtract(blockRealMatrix55);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array62 = blockRealMatrix56.operate(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, d_array59);
    int i64 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector69 = arrayRealVector67.mapSubtract(0.9999999999999999d);
    org.apache.commons.math3.linear.RealVector realVector71 = arrayRealVector67.mapSubtractToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector72 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector65, (org.apache.commons.math3.linear.RealVector)arrayRealVector67);
    org.apache.commons.math3.optimization.linear.LinearObjectiveFunction linearObjectiveFunction74 = new org.apache.commons.math3.optimization.linear.LinearObjectiveFunction((org.apache.commons.math3.linear.RealVector)arrayRealVector67, (-0.2593935199454313d));
    double d75 = arrayRealVector67.getLInfNorm();
    int i76 = arrayRealVector67.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 10);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = array2DRowRealMatrix13.copy();
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array18);
    double[][] d_array_array20 = new double[][] { d_array18 };
    double[][] d_array_array21 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array20);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array20);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    double[][] d_array_array28 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array27);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array27);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix22, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix29);
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    double[][] d_array_array36 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix22.subtract(blockRealMatrix37);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array41);
    double[] d_array44 = blockRealMatrix38.operate(d_array41);
    double[] d_array45 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair47 = new org.apache.commons.math3.optimization.PointValuePair(d_array45, 100.0d);
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    double[][] d_array_array52 = new double[][] { d_array50 };
    double[][] d_array_array53 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array52);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix54 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array52);
    double[] d_array57 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    double[][] d_array_array60 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array59);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix61 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix54, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix61);
    boolean b63 = pointValuePair47.equals((java.lang.Object)blockRealMatrix54);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix65 = blockRealMatrix54.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix66 = blockRealMatrix38.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix54);
    org.apache.commons.math3.linear.RealMatrix realMatrix67 = array2DRowRealMatrix13.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix66);
    org.apache.commons.math3.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor68 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d73 = blockRealMatrix66.walkInOptimizedOrder(realMatrixPreservingVisitor68, (-1), 1048576, 9, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix67);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    int i4 = org.apache.commons.math3.util.MathUtils.hash(d_array2);
    double[][] d_array_array5 = new double[][] { d_array2 };
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array5, false);
    boolean b9 = array2DRowRealMatrix8.isSquare();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 72090561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    double[] d_array2 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array2);
    double[][] d_array_array4 = new double[][] { d_array2 };
    double[][] d_array_array5 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array4);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array4);
    double[] d_array9 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[][] d_array_array11 = new double[][] { d_array9 };
    double[][] d_array_array12 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math3.linear.Array2DRowRealMatrix(d_array_array11);
    org.apache.commons.math3.linear.Array2DRowRealMatrix array2DRowRealMatrix14 = array2DRowRealMatrix6.add(array2DRowRealMatrix13);
    org.apache.commons.math3.linear.RealMatrix realMatrix15 = array2DRowRealMatrix13.copy();
    double[] d_array18 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array18);
    double[][] d_array_array20 = new double[][] { d_array18 };
    double[][] d_array_array21 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array20);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array20);
    double[] d_array25 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    double[][] d_array_array28 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array27);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array27);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix22, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix29);
    double[] d_array33 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    double[][] d_array_array36 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array35);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix22.subtract(blockRealMatrix37);
    double[] d_array41 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    org.apache.commons.math3.linear.RealMatrix realMatrix43 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array41);
    double[] d_array44 = blockRealMatrix38.operate(d_array41);
    double[] d_array45 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair47 = new org.apache.commons.math3.optimization.PointValuePair(d_array45, 100.0d);
    double[] d_array50 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    double[][] d_array_array52 = new double[][] { d_array50 };
    double[][] d_array_array53 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array52);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix54 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array52);
    double[] d_array57 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    double[][] d_array_array60 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array59);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix61 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix54, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix61);
    boolean b63 = pointValuePair47.equals((java.lang.Object)blockRealMatrix54);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix65 = blockRealMatrix54.scalarAdd(10.0d);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix66 = blockRealMatrix38.subtract((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix54);
    org.apache.commons.math3.linear.RealMatrix realMatrix67 = array2DRowRealMatrix13.add((org.apache.commons.math3.linear.RealMatrix)blockRealMatrix66);
    double d68 = blockRealMatrix66.getFrobeniusNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix73 = blockRealMatrix66.getSubMatrix(6, 2, 72090561, 72090561);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 10.04987562112089d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector1 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array4 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[][] d_array_array6 = new double[][] { d_array4 };
    double[][] d_array_array7 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix8 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array6);
    double[] d_array11 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    double[][] d_array_array14 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array13);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array13);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix8, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix15);
    double[] d_array19 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    double[][] d_array_array22 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix8.subtract(blockRealMatrix23);
    double[] d_array27 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    org.apache.commons.math3.linear.RealMatrix realMatrix29 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    double[] d_array30 = blockRealMatrix24.operate(d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector31 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, d_array27);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector33 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    double[] d_array36 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    double[][] d_array_array39 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array38);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    double[][] d_array_array46 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array45);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math3.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix40, (org.apache.commons.math3.linear.AnyMatrix)blockRealMatrix47);
    double[] d_array51 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    double[][] d_array_array54 = org.apache.commons.math3.linear.BlockRealMatrix.toBlocksLayout(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math3.linear.BlockRealMatrix(d_array_array53);
    org.apache.commons.math3.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix40.subtract(blockRealMatrix55);
    double[] d_array59 = new double[] { 10.0d, 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    org.apache.commons.math3.linear.RealMatrix realMatrix61 = org.apache.commons.math3.linear.MatrixUtils.createColumnRealMatrix(d_array59);
    double[] d_array62 = blockRealMatrix56.operate(d_array59);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector63 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector33, d_array59);
    int i64 = arrayRealVector33.getDimension();
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector65 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector1, (org.apache.commons.math3.linear.RealVector)arrayRealVector33);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector67 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector69 = arrayRealVector67.mapSubtract(0.9999999999999999d);
    org.apache.commons.math3.linear.RealVector realVector71 = arrayRealVector67.mapSubtractToSelf(100.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector72 = new org.apache.commons.math3.linear.ArrayRealVector(arrayRealVector65, (org.apache.commons.math3.linear.RealVector)arrayRealVector67);
    org.apache.commons.math3.linear.RealVector realVector74 = arrayRealVector72.mapDivideToSelf(0.0d);
    org.apache.commons.math3.linear.ArrayRealVector arrayRealVector76 = new org.apache.commons.math3.linear.ArrayRealVector(10);
    org.apache.commons.math3.linear.RealVector realVector78 = arrayRealVector76.mapSubtract(0.9999999999999999d);
    org.apache.commons.math3.linear.RealVector realVector80 = arrayRealVector76.mapSubtractToSelf(100.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.linear.ArrayRealVector arrayRealVector81 = arrayRealVector72.ebeMultiply(realVector80);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector80);

  }

}
